Welcome

Thank you for choosing the Tripod - the professional measured survey, building inspection and quantity surveying solution for the construction industry.

The Tripod lets you:

· Carry out measured building survey assignments and produce the related plans,

· Perform diagnostic audits including floor area certification assignments, energy efficiency assessments, asbestos inspections, etc.

· Conduct "as-built" measurement assignments in preparation for renovation projects, and produce the related bills of quantities.

This documentation is intended to supplement the training provided by Measurix.

The value of this training should not be underestimated. The Tripod is a professional system, and a degree of personal commitment is required in order to fully capitalise on its technical capabilities.

Measurix hopes and trusts that you will enjoy using your Tripod surveying system.


Warning

This documentation is supplied by Measurix "as-is", with no warranty of any kind, expressed or implied. Measurix reserves the right to modify the products and software described herein at any time without notification.

This documentation may contain inaccuracies or typographical errors; changes may be made and included in future versions.

Measurix owns the copyright to this document. All rights reserved.

Measurix holds an international patent for the Tripod system.

No part of this document may be reproduced without prior written permission from Measurix.

Copyright Measurix 2003-2013


Installing ExpertCAD

Installing ExpertCAD is child's play. Simply follow the instructions in the automatic installation procedure. If you confirm the default settings you will be ready to start work in no time!

There are two versions of ExpertCAD:

· A version for PCs, laptop PCs and Tablet PCs running Microsoft Windows XP™, Vista™ or Seven™

· A version for Pocket PCs running Microsoft Windows Mobile 2003 SE or Microsoft Windows Mobile 5.0, 6.0


Activating your customer account

You must activate your customer account in order to be able to access our web-based Technical Support service.

Connect to the Internet and visit our website: http://www.measurix.com

•In the menu on the left of the screen, select: Customer Area

•On the customer login screen, select: Activate your account

Step 1:

In the "Contact email address" and "Tripod serial number" fields, enter the details supplied with the product. If these details are incorrect or obsolete, and/or if you want to change your contact address, tick the "I want to choose a different email address" box and enter another valid email address.

Step 2: Confirm the activation request.

At the end of the first step, you see a message notifying you that you have been sent an email message. This email contains your login details and an "Activate my account" link, which you must click to conclude the activation procedure.

Your account will then be activated automatically, and you will be able to access your Customer Area by entering your login details in the "Quick Login" fields or on the Customer Login page in the main menu.

When you have logged in to our Internet site, you will be able to access software updates and documentation, and download third-party software.


Installing the software activation key ("dongle")

ExpertCAD is supplied with a USB activation key (or "dongle").

When this key has been installed on a PC in a network, any other PCs in that network will be also able to use ExpertCAD (within the limit of the number of user licences contractually assigned to you).

The key's driver is installed automatically when you install ExpertCAD.

If you intend to share the key, the installation program will prompt you to enter the network name of the PC to which the key will be connected.

NOTE: You can also specify the key server in the configuration file, using the following syntax:

SENTINEL_SERVER="PC name"

where "PC name" contains the name of the PC in the network.

NB: If the key is installed on a remote PC, ensure that ExpertCAD is not prevented from accessing it by a firewall.

NB: The key supports the TCP/IP, IPX and NetBUI network protocols.


Activating the software

• PC version

The software is activated with the dongle.

• For the Pocket PC version, the dialogue box relating to the licence is as shown below:

To obtain your licence number, visit our Internet site: http://www.measurix.com

Access the Customer Area by entering the login and password that you received upon activating your account.

Select "Get a licence" and enter the requested details. Your activation codes will be provided immediately.

Then click OK in the previous dialogue box and type in the series of alphanumerical characters exactly as they appear.

The generated code will be saved in your customer workspace.

To complete the process, simply enter the generated code in the Pocket PC input field as shown below:

If you have entered the code correctly the following message will be displayed.


Getting started with the ExpertCAD user interface

The ExpertCAD screen is divided into five areas:

· Menu bar,

· Input and Message bar,

· Tool bar,

· Views,

· Status bar.

•ExpertCAD for PC:

Pick one of the following topics:

· Menu bar

· Input and Message bar

· Tool bar

· Views

· Status bar

•ExpertCAD for Pocket PC:

Pick one of the following topics:

· Views

· Tool bar

· Input and Message bar

· Status bar

· Menu bar


Menu bar on PC

Menu bar

The menus and toolbars have been replaced by the Ribbon. The Ribbon is designed to accelerate the search functions when you need to perform a task. The functions are arranged in logical groups, which are grouped into tabs. Each tab relates to a type of activity.

By clicking the icon Measurix you to access functions of project management (create, open, close, print, configuration ...). It is possible to use the old interface by changing options in the software configuration.


Input and Message bar on PC

Input and Message bar

The Input and Message bar is the most important area in terms of everyday use of the application.

A series of messages will be displayed for each action, in the form of "questions for the user", in some cases followed by a default setting and clickable buttons, which are also accessible via the contextual menu (opened by right mouse-clicking).

• To confirm the default value, press Enter on the keyboard.

• To select a clickable button, click on the button or select the corresponding contextual menu option.

• To enter an alphanumerical value, type the value on the keyboard (or via the application's number pad) and press Enter (see "Using the keyboard and number pad").

• To enter a point, you can:

·Enter its coordinates directly in the Input bar, in the form x coordinate, y coordinate (e.g. 1.2, 3.45),

·Or else use the mouse (see "Using the mouse").

NOTE: Double-click on the message box opens a window with more information. It is also possible to clear the message box by clicking the right mouse button and Clear all


Tool bar on PC

Tool bar

• The main menu

Create a new document (room or project)

Open an existing document

Save the current document

Save as the current document

Update old projects

Duplicate a project

Close the current document

Import one or more projects from the Pocket PC

Import a DWG file

Export a project to the Pocket PC

Export a project in DXF v9 format

Export a project in DXF or DWG format

Export a project in IFC format

Create a 2D projection of the 3D view in a file

Create an image file of the drawing in EMF format (vertorial format)

Create an image file of the drawing in BMP or JPG (bitmap screenshot)

Export the area and opening data recorded in the project

Export the description data recorded in the project

Export the quantity data recorded in the project

Print the current document

Open ExpertCAD help

Open ExpertCAD help for the selected function

• Quick functions

Save the current document

Cut one or more elements in the drawing

Copy one or more elements in the drawing

Past one or more elements in the drawing

Regenerate the view

Zoom tools

Movement tools

3D display tools

Selection tools

Analysis tools (coordinates, distance, angle, ...)

Quick functions of point coordinates

Undo the most recent function

Redo the most recent function

Snap to grid

Right-angle input mode

Toggle between the 2D and 3D views

Delete elements (object or constraint) from the drawing

Enable or disable the contextual menu mode


Drawing tools

Create an open or closed polygon

Create a point

Create a line

Create a rectangle

Create a circle (radius, center)

Link curves together

Create a parallel curve to a curve

Create a multiline text

Group objects

Create a prism with a 2D curve

Hashing

Insert an image

Insert a vertex

Move a vertex

Delete a vertex

Move a side

Make parallel and align with a reference segment

Align partition walls (only affects partition walls that contain openings)

Make a segment parallel with a reference segment

Align two partition walls, specifying the wall thickness

Modify partition walls (adjusts the rooms to produce right-angles in the appropriate corners)

Move elements

Rotate elements

Align a room relative to a reference segment

Move elements by symmetry

Resize elements

Copy elements to a layer

Split a curve in two elements

Limit an open curve with another curve (splitting or continuing it)

Merge two curves

Limit a curve with another one

Invert an outline

Modify a construction constraint

Delete elements (objects or constraints) from the drawing

Drawings automatic production assistant

Perform assembly 1 (automatically import and position the rooms in the project)

Create the exterior outline (if the outline has not been fully measured) - required for assembly 2

Assembly 2 : create the final drawing and generate 2.5D or 3D models for the project

Compensation tool (positions rooms with the smallest possible error by adjusting the wall thicknesses without changing the shape of the outlines)

¨Position constraint : blocks a room in its current position (the room will not move during the compensation)

Rotation constraint : prevents a room from being rotated (it can only undergo translations)

Alignment constraint : blocks a room such that it remains aligned with a reference segment

Delete constraints

Show or hide constraints

Compensation tool (operates in the same way as the other compensation tool, but taking into account any constraint)

Determine the best orientation of the floor according to preferred directions

Get the walls sides to be parallel within a tolerance by modifying rooms geometry

Section of building (to be performed after the assembly 2 3D)

Separate load-bearing and partition walls

Rooms diagnosis : check and delete double points

Look for rooms overlapping

Last used symbols

Add a "staircase" component

Add a "WC" component

Add a "kitchen" component

Add a "Gas/Electricity" component

Add a "North" component

Add a 3D balustrade

Link to a custom library

3D Drawing tools

Create an open or closed polygon

Create a point

Create a line

Create a rectangle

Create a circle (radius, center)

Link curves together

Create a text

Insert a vertex

Move a vertex

Delete a vertex

Move elements

Rotate elements

Move elements by symmetry

Resize elements

Copy elements to a layer

Split a curve in two elements

Limit an open curve with another curve (splitting or continuing it)

Merge two curves

Limit a curve with another one

Non horizontal 2D 1/2 ceiling (to be performed after the assembly 2 2D 1/2)

Project 3D objects in 2D

Update 3D shapes

Delete elements (objects or constraints) from the drawing

Create a cylinder

Create a cone

Create a sphere

Create a prism

Create a ruled surface

Create a plane surface

Create a cone between two cylinder

Create a profiled element (IPE, IPN or UAP beam)

Limit a 3D object by a point

Limit a 3D object by a plane

Operations: intersection, subtraction, union, concatenation of 3D objects

Section of building (to be performed after the assembly 2 3D)


Measure tools

Show the certified and non-certified areas

Show the mission areas table

Designate an area for inclusion in a certified area calculation

Designate an area to be deducted in a certified area calculation

Calculate an area to be deducted (<1.80m) based on the ceiling slopes

Designate an area as a non-certified area (e.g. balconies, patios and garages)

Show dimensions

Input the values required for the EEA calculation, for exterior and cold walls

Display EEA thumbnail

Show altitudes

Measure the altitude of the room

Delete a room altitude value

Linear dimension

Chained dimension

Parallel dimension

Cumulated dimension

Radial dimension

Angular dimension

Deport a dimension

Modify a dimension

Burst a dimension

Init laser connection

Take a measurement

Add a distance constraint

Add a perpendicular constraint on a room corner

Add an angle constraint on a room corner

Add a parallel constraint (between 2 elements)

Add a parallel + distance constraint

Constraint a wall to go through a point

Constraint point position

Create a hidden point and automatically add constraints

Number the vertices

Automatic parameterization of an outline (adding construction constraints) - angles

Automatic parameterization of an outline (adding construction constraints) - angles + length

Other constraints

Delete a construction constraint

Modify a construction constraint

Solve the drawing based on the current construction constraints

Insert a lead measurement symbol

Insert an asbestos measurement symbol

Insert a termite measurement symbol

Perspective view

List of quantities and descriptions

Show annotations (description and quantities data)

Delete description and quantities data

Insert description data

Insert quantities data

Automatic bill of quantities

Properties - text data

DWG Graphics Standards

DWG dynamic Graphics Standards

3D Measure tools

Take a measurement

Calculate an area to be deducted (<1.80m)

Show dimensions

Show altitudes

Input the values required for the EEA calculation, for exterior and cold walls

List of quantities and descriptions

Show annotations (description and quantities data)

Delete description and quantities data

Insert description data

Insert quantities data

Automatic bill of quantities

Properties - text data

DWG Graphics Standards

DWG dynamic Graphics Standards


Tripod tools

Initialize the Tripod

Reset the laser meter

Make a measurement with the Tripod

Measure an outline

Continue an open outline

Re-level the Tripod

Measure the ground reference of the room

Measure the headroom

Measure a point on a wall

Measure a reference point

Measure an opening with the Tripod

Manually insert an opening (with known dimensions)

Insert an opening based on two points (with known dimensions apart from the width)

Frontage opening

Move an opening

Change door or window position

Invert joinery position in relation with wall

Joinery opening measurement with Tripod

Joinery opening manual measurement

Insert a vertex into the outline

Move a vertex in the outline

Delete a vertex from the outline

Move an edge from the outline

Limit an open curve with another curve (splitting or continuing it)

Split a curve into two separate elements

Manually create a closet based on an opening in a room

Measure a closet based on an existing opening

Save as room

Insert a pillar on a wall

Insert a corner pillar

Insert a round pillar on a wall

Add a rectangular pillar

Add a round pillar

Insert an alcove

3D model of the room without ceiling

3D model of the room with a flat ceiling

3D model of the room with a 1-slope ceiling

3D model of the room with a 2-slopes ceiling

3D model of the room with a 3-slopes ceiling

3D model of the room with a N-slopes ceiling

Put a room outline in 3D space

Frontage mode

Initialize the Total Station

Level the Total Station using the electronic level

Measure with the reflector

Measure without the reflector

Enable the laser

Disable the laser

Prism height

Direct the Total Station towards a specific point (robotic models only)

Measure an open or closed outline

Extend an open outline

Re-level the Total Station

Measurement of a point

Create a reference point

Insert a vertex

Move a vertex

Make a measurement

Create a traverse

Compensation of the traverse

Standard measuring mode (distance + angle)

Two-pass measuring mode - distance followed by angle

Two-pass measuring mode - angle followed by distance

3D Tripod tools

Initialize the Tripod

Reset the laser meter

Make a measurement with the Tripod

Measure an outline

Continue an open outline

Re-level the Tripod

Measure a point on a wall

Measure the ground reference of the room

Insert a vertex

Move a vertex

Delete a vertex

Measure a round pillar in 3D

Measure a rectangular pillar in 3D

Measure a prism (e.g. a beam)

Create a prism on a face

Create a prism on a corner

Reconstruction of a prism from a point cloud

Reconstruction of a cylinder from a point cloud

Reconstruction of a cone from a point cloud

Reconstruction of a sphere from a point cloud

Limit a 3D object by a point

Limit a 3D object by a plane

3D net on a reference plane

Mesh on a wall

Insert a point in the net

Move a point of the net

Delete a point of the net

Net visualization mode

Initialize the Total Station

Level the Total Station using the electronic level

Measure with the reflector

Measure without the reflector

Enable the laser

Disable the laser

2D re-level the Total Station

3D re-level the Total Station

Direct the Total Station towards a specific point (robotic models only)

Measurement of a point

Standard measuring mode (distance + angle)

Two-pass measuring mode - distance followed by angle

Two-pass measuring mode - angle followed by distance


Sketch tools

Create an open or closed polygon

Create a line

Create a rectangle

Link curves together

Name a room

Create a wall

Insert an opening

Change the thickness of a wall

Move an opening

Delete a section of wall

Delete an opening

Representation mode

Convert a wall to a sketch

Hash a room

Add a chimney

Add an alcove

Add a shaft

Insert a truncated wall

Round

Assembly function

Add a distance constraint

Add a perpendicular constraint on a room corner

Add an angle constraint on a room corner

Add a parallel constraint (between 2 elements)

Add a parallel + distance constraint

Constraint a wall to go through a point

Constraint point position

Create a hidden point and automatically add constraints

Number the vertices

Automatic parameterization of an outline (adding construction constraints) - angles

Automatic parameterization of an outline (adding construction constraints) - angles + length

Other constraints

Delete a construction constraint

Modify a construction constraint

Solve the drawing based on the current construction constraints


Render tools

Render tools (3D)

Switch GDI/OpenGL

Wireframe

Hidden lines

Transparency (OpenGL)

Shading (OpenGL)

Photo or axonometric perspective

Interactive orientation

Top view

Face view

Left view

Bottom view

Back view

Right view

Isometric view 1

Isometric view 2

View configuration


The Cut, Copy and Paste tools

Cut one or more elements of the drawing

Copy one or more elements of the drawing

Paste one or more elements of the drawing

You can use the Cut, Copy and Paste tools to move or copy elements, both within a view and between different views.

NOTE: This capability is particularly useful in conjunction with the drawing library. Simply display the library file and work file side by side and then transfer the desired elements from one view to the other.

These are the only tools that let you copy or transfer elements from one floor to another.


Total Station tools

Total Station tools (optional)

Initialize the Total Station

Level the Total Station using the electronic level

Measure with the reflector

Measure without the reflector

Enable the laser

Disable the laser

Prism height

Direct the Total Station towards a specific point (robotic models only)

Measure an open or closed outline

Extend an open outline

Re-level the Total Station

Measurement of a point

Create a reference point

Insert a vertex

Move a vertex

Make a measurement

Create a traverse

Compensation of the traverse

Standard measuring mode (distance + angle)

Two-pass measuring mode - distance followed by angle

Two-pass measuring mode - angle followed by distance

3D Total Station tools

Initialize the Total Station

Level the Total Station using the electronic level

Measure with the reflector

Measure without the reflector

Enable the laser

Disable the laser

2D re-level the Total Station

3D re-level the Total Station

Direct the Total Station towards a specific point (robotic models only)

Measurement of a point

Standard measuring mode (distance + angle)

Two-pass measuring mode - distance followed by angle

Two-pass measuring mode - angle followed by distance


Views with PC

Views

When you use ExpertCAD, you will spend most of your time working with a set of Views.

In ExpertCAD, you work with Project views (such as the circulation plan for a particular floor of a building) and Room views, which have a different appearance.

•Project view

You can use the Project view to produce a diagram of a complete floor. This view contains two panes. The left pane shows all the rooms in the floor after ExpertCAD has divided it into rooms (and whenever you subsequently re-open the Project).

The view contains a grid, or more specifically, a regular framework of dots; the grid interval (or resolution) is displayed in the bottom left of the view.

The grid interval may be 1cm, 10cm, 1m or 10m depending on the Zoom factor.

When the Grid [image] button is pressed, you can enter points at a resolution of one-fifth of the grid interval. For example, if the grid interval is shown as 1 m, any points inserted will "snap" to the grid exactly every 20 cm.

The view also contains an OXY marker that shows the origin of the coordinates. (This marker is not modifiable; it does not appear in printouts).

Tree structure, context menu of the project,

of the floor,

and of the room.

• Room view

The Room view lets you work on a room for the purpose of an area certification or inspection assignment, for example.

The grid, the drawing scale and the origin marker are as described for the Project view.

• Inspection view

This display mode is actually a room view for which a perspective has been generated, to enable you to accurately locate the measurements made.

The grid, the drawing scale and the origin marker are as described for the Project view.

• OpenGL view

This display mode generates a view of 3D elements as solid shapes (with a transparent effect), using the computer's 3D graphics capabilities to render a smooth 3D image.

The same actions can be performed in the OpenGL View as in the 3D view of the document.

The actions of the OpenGL view are the same as the 3D view of the document. You can enable OpenGL 3D display as default using the software configuration.


Status bar on PC

Status bar


The Colour, Line and Pattern palettes on PC

The Colour, Line and Pattern palettes

Palettes are activated by clicking on the arrow symbol to the right of the current colour.


Text management with PC

Text management

To open the text settings dialog box, click the arrow to the right of the current height in the Status bar.


Layer management on PC

Layer management

Clicking the arrow to the right of the current level in the Status Bar opens the layer management dialog box.

You can use layers to show or hide various elements in drawings. It is possible to superimpose layers. They facilitate the task of formatting diagrams and drawings for your survey reports.

The solution includes five predefined layers:

· The Drawing layer, which is the standard layer used for drawing,

· The Inspection layer,

· The Area Certification layer,

· The Draft layer, on which you can place any elements that you no longer require,

· The Constraints layer.


Views with PocketPC

Views

When you use ExpertCAD, you will spend most of your time working with a set of Views.

In ExpertCAD, you work with Rooms, which are organised in Projects (each representing a floor of a building containing a number of rooms). A Project can be seen as a Room Tree that you can access by clicking the [image] button. Each view also has a 3D mode for displaying three-dimensional representations.

•Project view

You can use the Project View to produce a diagram of a complete floor or to assemble a number of rooms that have been measured.

The view contains a grid, or more specifically, a regular framework of dots; the grid interval (or resolution) is displayed in the bottom left of the view.

The grid interval may be 1cm, 10cm, 1m or 10m depending on the Zoom factor.

When the Grid [image] button is pressed, you can enter points at a resolution of one-fifth of the grid interval. For example, if the grid interval is shown as 1 m, any points inserted will "snap" to the grid exactly every 20 cm.

The view also contains an OXY marker that shows the origin of the coordinates. (This marker is not modifiable; it does not appear in printouts).

The 3D display mode generates perspective views.

When ExpertCAD has divided a building floor into rooms (and whenever you subsequently re-open the Project), the Room Tree is displayed as shown below:

• Room view

The Room view lets you work on a room for the purpose of an area certification or inspection assignment, for example.

The grid, the drawing scale and the origin marker are as described for the Project view.

You can switch to 3D mode to display a perspective view in which you can record any special dimensions (e.g. the undersides of exposed beams).

• Inspection view

This display mode is actually a room view for which a perspective has been generated, to enable you to accurately locate the measurements made.

The grid, the drawing scale and the origin marker are as described for the Project view.


Tool bar on PocketPC

Tool bar

• The main tool bar

or depending on the hardware


Input and Message bar on PocketPC

Input and Message bar

The Input and Message bar is the most important area in terms of everyday use of the application.

A series of messages will be displayed for each operation, in the form of "questions for the user", in some cases followed by a default setting and clickable buttons, which are also accessible via the contextual menu ("tap and hold" the stylus against the screen until the contextual menu is displayed).

• To confirm the default value, tap the Enter key on the virtual keyboard or press the Action button in the centre of the navigation button cluster.

• To select a clickable button, click on the button or select the corresponding contextual menu option.

• To enter an alphanumerical value, type the value on the virtual keyboard and tap Enter (see "Using the keyboard").

• To enter a point, you can:

·Enter its coordinates directly in the Input bar, in the form "x coordinate, y coordinate" (e.g. 1.2, 3.45),

·Or use the stylus (see "Using the stylus").

NOTE: A click on the message box (information displayed by ExpertCAD) displays the latest messages in a window.


Status bar on PocketPC

Status bar

The Status bar contains information about the current values of graphical attributes, including the colour, line style, hashing pattern, character height and layer.

Clicking on the arrows opens the editor screens that let you modify the current values.


The Colour, Line and Hashing Pattern palettes on PocketPC

The Colour, Line and Hashing Pattern palettes


Text management with PocketPC

Text management

To open the text settings dialog box, click the arrow to the right of the current height in the Status bar.


Layer management on PocketPC

Layer management

Clicking the arrow to the right of the current level in the Status Bar opens the layer management dialogue box.

You can use layers to show or hide various elements in drawings. It is possible to superimpose layers. They facilitate the task of formatting diagrams and drawings for your reports.

The solution includes five predefined layers:

· The Drawing layer, which is the standard layer used for drawing,

· The Inspection layer,

· The Area Certification layer,

· The Draft layer, on which you can place any elements that you no longer require,

· The Constraints layer.

Layers have three possible states:

· Visible, i.e. displayed onscreen,

· Hidden, i.e. not displayed,

· Current (and visible). Only one layer can be the current layer at any time. The current layer is the one in which any new drawn elements are stored.


Menu bar on PocketPC

Menu bar

The Menu bar provides access to ExpertCAD's different features.

These features are organised in five menus (arranged at the bottom of the screen), corresponding to the five stages of the measured survey process.

· File menu: Management functions (creating a project, saving and exporting data, etc.),

· Drawing menu: Drawing creation functions. Although these features are not used extensively with the Tripod, they allow you to enhance a diagram by adding text labels, for example,

· Area menu: These functions are used when making measurements without the Tripod. This menu also contains tools for displaying certified areas and for declaring areas that must be deducted.

· Inspection menu: In addition to inspection functions such as Asbestos measurements, this menu contains functions that let you describe the inspected elements, as well as functions for inserting library components (e.g. WC, staircase, etc.),

· Tripod menu: This menu contains the functions that let you work with the Tripod.

· Total Station menu: This menu (available in GExpertCAD only) lets you work with a total station.

The first submenu in these categories always allows you to switch to a different main menu.

The functions in the menus may vary slightly according to whether the current operating mode is 2D (two dimensions) or 3D (three dimensions).


File menu

The 2D File menu

The 3D File menu

NOTE: You can use the Cut, Copy and Paste tools to move or copy elements, both within a view and between different views.


Drawing menu

The 2D Drawing menu

The Tools submenu will be used frequently, to "assemble" the various rooms concerned by the measured survey.

The 3D Drawing menu


Area menu

The 2D Area menu

This menu contains functions for managing the areas that must be included and excluded, and any areas required for energy efficiency assessments.

You can also use the A submenu to update certified, non-certified and auxiliary areas and show them in the drawing.

You will also need to use the functions of the Measurement menu if you make "manual" measurements, such as measuring an opening whose corners cannot be sighted because they are obstructed by curtains, or measuring rooms that cannot be surveyed using the Tripod.

The 3D Area menu


Inspection menu

The 2D Inspection menu

Your libraries of customised symbols are accessed via the "Lib" submenu. Custom libraries are automatically positioned after the "North" symbol library.

The 3D Inspection menu


Tripod menu

The 2D Tripod menu

As with the other menus, the submenus are organised in the order in which they are normally used during the measuring process:

· Init - For configuring and initialising the equipment,

· Measurement - For making measurements,

· Modify - For editing measurements.

The 3D Tripod menu


Total Station menu

The 2D Total Station menu

As with the other menus, the submenus are organised in the order in which they are normally used during a measured survey:

· Init - For configuring and initialising the equipment,

· Measurement - For making measurements.

The 3D Total Station menu

NOTE: Once connected you can use the other menus for measurements.


Interacting with ExpertCAD

•ExpertCAD for PC:

· Using the keyboard or number pad to input data

· Using the mouse

· Using the stylus on a Tablet PC

•ExpertCAD for Pocket PC:

· Using the keyboard to input data

· Using the stylus


Using the keyboard or number pad to input data

NB: Numerical data is entered using the following units: lengths (decimal separator is ".") and coordinates (x,y or polar R;Θ) are expressed in meters and angles are expressed in degrees.

You enter data using the keyboard or the onscreen Number Pad (in particular if you are working with a Tablet PC).

You can show or hide the Number Pad by toggling the View->Number Pad menu option.


Using the keyboard to input data

NB: Numerical data is entered using the following units: lengths and coordinates are expressed in meters and angles are expressed in degrees.

You can enter data on the virtual keyboard in either numerical or alphanumerical mode.

In ExpertCAD, the virtual keyboard is enabled automatically whenever the user must enter alphanumerical data.

You can also use the Pocket PC's letter or block recognition features.

To confirm your keyboard input, or to select OK in a dialogue box, you can press the Enter key, or press the Action button on your Pocket PC.


Using the mouse on PC

Using the mouse

In a graphical application, most user interaction involves the mouse.

With ExpertCAD, you can use the mouse to perform five types of action:

· Enter a point to draw in a view,

· Select an element to which to apply a function (e.g. selecting an element that you want to delete).

These actions are performed simply by clicking the left mouse button ("left-clicking").

· Select one of several superimposed elements,

This action is performed by left-clicking and holding down the mouse button. The colour of the first selected element changes to red. Pressing one of the arrow keys changes the selection to the next superimposed element.

· Open a contextual menu,

· Snap to a feature in a drawing, such as the end or centre of a line, a point of intersection, etc.

These actions are performed by clicking the right mouse button ("right-clicking").


Using the stylus with PocketPC

Using the stylus

With graphical applications such as ExpertCAD, most user interaction involves the stylus.

You can use the stylus to perform six types of action:

· Enter a point to draw in a view,

· Select an element to which to apply a function (e.g. select an element that you want to delete),

These actions are performed simply by tapping the appropriate location on the screen.

· Open a contextual menu,

· Snap to a feature in a drawing, such as the end or centre of a line, a point of intersection, etc.,

These actions are performed by pressing and holding the stylus against the screen until the action is triggered (indicated by an animated blue image on the screen).

· "Drag and drop" an object,

Objects can be repositioned by moving the stylus while it is pressed against the screen.

· Select one of several superimposed elements,

This action is performed by pressing and holding the stylus against the screen until the colour of the first selected element changes to red. Pressing one of the keys in the cluster around the Action key changes the selection to the next superimposed element.


Using the stylus with a Tablet PC


How to enter a Point

• ExpertCAD for PC

• ExpertCAD for Pocket PC


Using the Zoom function

· PC version The Zoom tool provides access to six zoom modes: | · Pocket PC version On the Pocket PC, in order to save space, the same button provides access to six zoom modes and two point-of-view movement modes.

NOTE: There is no need to open the submenu. The Zoom button activates the most recently-used Zoom function directly.

NOTE: You can display the main tool bar on a Pocket PC by pressing the [image] button.

NOTE: If your computer runs the Windows operating system, you can also use the mouse's wheel button to Zoom (by pressing and rotating the wheel button), Pan (by pressing the wheel button and moving the mouse) or AutoZoom to the scale of the complete drawing (by double-clicking the wheel button).


Changing the Point of View

NOTE: There is no need to open the submenu. Clicking the Move button enables the mouse-controlled Dynamic POV feature directly.

NOTE: On a Pocket PC, these functions are incorporated into the Zoom tool.

NOTE: If your computer runs the Windows operating system, you can also use the mouse's wheel button to Zoom (by pressing and rotating the wheel button) and Pan (by pressing the wheel button and moving the mouse). In 3D you can perform dynamic rotations view by holding down the [Shift] key and the mouse wheel.


The Undo-Redo tools

The Undo - Redo tool

Undo tool

You can cancel an action by clicking on the Undo tool in the main tool palette.

The dropdown menu contains an Undo All option that can be used to cancel a series of consecutive calls to a given function.

NOTE: You can display the main tool palette on a Pocket PC by pressing the [image] button.

NOTE: PC undo and redo functions are no longer limited to the last function used. It is possible to go back over several consecutive functions.

NOTE: it is not possible to go back after using the "delete all 2D 3D" function.

Redo tool

You can redo an action by clicking on the Redo tool in the main tool palette.


Working with the input grid and the right-angle input mode

The input grid is shown in views as a network of evenly-spaced dots. The interval between these dots varies according to the zoom level.

When the snap-to-grid function is enabled, any points entered directly on the screen are automatically aligned with the grid, based on an interval of 1/5th of the visible grid step. In other words, if the visible step is 1 m, points attach to the grid every 20 cm.

You can cancel an action by clicking on the Undo tool in the main tool bar.

When right-angle mode is enabled, you can draw outlines freehand; the software automatically converts corners to right-angles.

NOTE: It is possible to disable the snap-to-grid function in ExpertCAD's configuration file (ExpertCAD.cfg):
EXPERT_GRID    0 or   1 (0: disabled; 1: enabled).

This feature is accessible directly on a PC, via the application's configuration screen.

NOTE: You can display the main tool bar on a Pocket PC by pressing the [image] button.

NOTE: These tools are represented by two separate icons on a PC.


Using the Select function

You can use the Select tool to select one or more elements.

It is possible to compile a selection in several stages. For example, you might begin by using Select by Rectangle and then use the Select One function to add an individual element to your selection. When you have finished, confirm by clicking the OK button.

Selected elements are shown in red until the end of the selection procedure.

You can recall the last selection with the button [image] ("Memory Recall")

NOTE: With the selection by rectangle, by constructing the rectangle from left to right the element must be completely in the window to be selected, by constructing a rectangle from right to left the element needs to be partially in the window to be selected.

NOTE: Selecting an element a second time deselects it, whereupon it returns to its original colour.

NOTE: You can select a 2D or 3D element by sighting it with the Tripod.

NOTE: You can display the main tool bar on a Pocket PC by pressing the [image] button.

NOTE: You can select multiple items by holding down the "CTRL" key.


Function mode and context menu mode

ExpertCAD can work in two modes of interaction :

• The function mode :

The user chooses a function by clicking a button in the Ribbon. He then answered questions put to him in the post area.

• The Context menu mode [image]:

The user designates an element; a context menu will appear listing all the possible functions for this element.

The user clicks in the view in a place where there is no element with the right mouse on PC and Pocket PC long press button, a context menu appears listing the possible functions depending on the status of the mission.

The context menu mode is particularly useful for beginners who are not yet familiar with all the possibilities offered by ExpertCAD or to modify elements.

NOTE: For beginners, it is possible to make a complete survey using the context menu.

NOTE: The context menu fits the situation. For example at the beginning of survey the user can use the context menu to initialize the Tripod. Once the initialization is done the menu will be different, the user has the option to measure an outline, an opening less than 1.80 m...

NOTE: On Pocket PC the context menu function is in the main tool box. To display the main toolbox use the [image] button.

NOTE: To exit the context menu mode, click [image] button again.


Overview of the Tripod

Measurix has developed the Tripod to make measured building surveys simple and efficient, accurate and productive:

· Simple, because instead of having to produce a diagram of each room to be surveyed, measuring distances and performing triangulation procedures, all you need to do is place the Tripod in the approximate centre of the room and measure its corners, after which ExpertCAD can automatically generate a scale drawing of the room,

· Efficient, because this approach reduces the number of measurements by around half, and does not require the equipment to be moved around in order to measure lengths,

· Accurate, thanks to angle measurements that are precise to within 4 to 6 hundredths of a degree, depending on the version, and a laser meter system that is accurate to within a few millimetres,

· Productive, because ExpertCAD generates the survey data and the related plans and 3D models automatically.

The Tripod's operating principle involves acquiring the spatial position of the sighted points in order to deduce a room's geometry. Room outlines are created by projecting these measured points onto a horizontal plane, whereas their three-dimensional coordinates are used for other purposes, including 3D surveying, generating openings, etc.

The Tripod uses a spherical coordinate system, measuring the bearing and elevation angles of the measured points, as well as their distance from the instrument. ExpertCAD performs all processing interactively, producing graphical representations that enable the user to check their survey results.

For best results, the following precautions should be observed when working with the Tripod:

· In order to effectively measure elevation angles (i.e. angles relative to the horizontal) and bearings (i.e. angles around a vertical axis), the base of the Tripod must be levelled such that it is as near to horizontal as possible. The product therefore includes a "bull's eye" spirit level and an alignment system based on three knurled wheels (levelling screws).

NB: Although the Tripod NG features an electronic horizontality error compensation system, this only operates in a measurement range from -1° to +1°, which means that it is still necessary to level the instrument whenever it is moved to a new station. The purpose of this system is to further enhance the instrument's accuracy, in particular when sighting raised features (such as frontages).

· The Tripod has a horizontal benchmark, which is defined relative to a mechanical stop (at the rear on the Tripod, and at the front on the Tripod NG). The instrument must be started up in this benchmark position.

· The shape of some rooms is such that it is not possible to see all of its corners from a single location. In such cases, you can simply move the Tripod and re-adjust the new measurements relative to those already made.


Performing measured surveys using the Tripod

You can use the tripod to carry out measured surveys in the same way as with a manual, notebook-based process. The survey is conducted floor by floor, room by room, and the various rooms are assembled by matching up the doors and windows in adjoining rooms.

Where two adjacent rooms share multiple openings, ExpertCAD performs an optimisation calculation when assembling the rooms.

If a highly accurate result is required, the assembly technique can be enhanced as follows:

· By measuring reference points in several rooms (at least 2 points per room) using a total station and a traversing method. In order to measure the corresponding rooms, you must readjust the Tripod relative to the points already measured before measuring each room.

· By measuring rooms directly in the project (or, after creating a new room, in the room file itself) while traversing with a total station.

· By also measuring the exterior frontages and openings in order to accurately position the rooms which open onto the frontages. Ideally, a total station should also be used for this procedure.

ExpertCAD then assembles the various elements in the following sequence:

· Insert the exterior components,

· Insert the rooms linked to similar rooms for other floors already assembled,

· Insert the rooms containing reference points,

· Insert the rooms with reference points,

· Assemble the other rooms using the aforementioned opening-matching method.

Rooms are measured with the Tripod by sighting the corners (or the adjacent walls if any corners are hidden). With the Tripod, not only do you need to make only about half the number of measurements as with a conventional triangulation approach, but there is no need to produce a preliminary sketch. This is because ExpertCAD draws the rooms dynamically as you acquire data via the Tripod.

Note that for very large rooms (such as a sports hall or auditorium) it is possible to use a total station directly, in the same way as the Tripod . As you can choose which instrument to use, you remain totally in control of the overall accuracy of the measurements.

As you can see, the operating procedure is different to the methodology without the Tripod, not least because the need for a preliminary sketch of the property is eliminated. However, if you want to produce a floor plan to scale at the end of your assignment, you will need to assemble the rooms; it is therefore essential to measure the openings in each room, to allow them to be matched up (except if you have surveyed two reference points in rooms that don't share opening).

When the rooms have been assembled, you can use GExpertCAD's compensation functions to '"optimise" each room's position and orientation in the project with no need to change its shape or dimensions. It is also possible to force alignments with walls (frontages, structural walls, etc.) or to align rooms between floors.

Using this method minimises the need to modify rooms to compensate for the measuring errors that are inherent to any surveying process.

These issues are discussed in the section on Producing Plans.

· Setting up the Tripod

· The Tripod menu in ExpertCAD

· Chronological order of actions in ExpertCAD

· Initialising the Tripod in ExpertCAD

· Defining the floors in the building

· Defining the rooms in the building

· Measuring exteriors

§ Initialising the total station

· Measuring altitudes

· Interior polygonal traversing and measuring reference points

§ Measuring rooms while traversing

· Measuring rooms with the Tripod

§ Measuring islands in a room

§ Construction-based surveying

§ Measuring closets with the Tripod

§ Measuring pillars

§ Geometric constructiontools

§ Measuring curves with the Tripod

§ Re-levelling the Tripod when surveying from multiple stations

§ Using constraints to handle concealed corners

§ Measuring alcoves with the Tripod

§ 3D measurements

· Measuring reference points in rooms with the Tripod

· Measuring openings with the Tripod

§ Measuring a door or window reveal

§ Simplified measurement of window recesses

· Measuring areas having < 1.80m headroom with the Tripod

· Measuring areas for EEAs

· Area chart

· Recording components

· Assembling rooms

· Assembly compensation

· Modifying the shape of a room

· Producing plans

· Producing frontages

· Producing sections

· Drawing a balcony

NOTE: In order to make drawing production easier, ExpertCAD propose a drawing production wizard [image] that supports the sequence of steps from the assembly 1 to the final plan.


Setting up the Tripod

Before using the Tripod with ExpertCAD, please read the safety instructions and recommendations for use contained in the Tripod user manual.

Tripod NG with Disto A6, D8 or D3 Bt

· Begin by mounting the Tripod on its tripod.

· Before switching on the Tripod, move the laser meter to its benchmark position (front stop); This enables the instrument to be levelled, as its benchmark position is factory-measured and saved in the configuration file.

· Attach the mounting plate on the Tripod and fix the Pocket PC on it.

· Connect the Pocket PC to the Tripod using the supplied cable, which should be plugged into the left connector.

· Level the Tripod using the three levelling screws and the bull's eye level.

· You're ready to start ExpertCAD.

Previous Tripod generation

· Begin by mounting the Tripod on its tripod.

· Then attach the laser meter to its mounting plate using the supplied screw (refer to the Tripod user manual).

· Before switching on the Tripod, move the laser meter to its benchmark position (resting against its travel stop); This enables the instrument to be levelled, as its benchmark position is factory-measured and saved in the configuration file.

The benchmark position on the Tripod is to the rear, with the laser meter resting against its stop as shown in the picture below.

NB: This procedure must be performed without the Pocket PC mounting plate.

The benchmark position on the Tripod NG is to the front, with the laser meter resting against its stop as illustrated below.

· Rotate the laser meter into its normal position and attach the Pocket PC mounting plate (unless you will be using a Tablet PC).

Connect the Pocket PC to the Tripod using the supplied cable, which should be plugged into the left connector, marked "PC".

· Connect the Pocket PC to the Tripod using the supplied cable, which should be plugged into the left connector, marked "PC".

· Level the Tripod using the three levelling screws and the bull's eye level.

You are now ready to run ExpertCAD!


Conducting different types of assignment using the Tripod

The number of actions to be performed varies according to the assignment type.

We have considered the most common assignments:

· Area certification assignment

· Energy efficiency assessment (EEA) assignment

· "Identity Card" survey assignment

· 1:100 scale measured survey assignment for a co-ownership agreement

· 1:50 scale measured survey assignment


Area Certification assignment

When you conduct a floor area certification assignment, ExpertCAD calculates the included, excluded and auxiliary floor areas required in order to generate the Floor Area Certificate.

The assignment proceeds as follows:

IN THE FIELD | • · Measure the room geometry · Measure the areas (and in particular any areas with less than 1.80 m headroom) · Certified room area computation
AT THE OFFICE | · Generate the floor area table

There is no need to measure the openings as the rooms will not be assembled to produce a plan.


Energy efficiency assessment (EEA) assignment

For energy efficiency assessment assignments, ExpertCAD produces the surface area data used by energy consumption estimation software:

· Floor area,

· Ceiling area,

· Area of exterior walls,

· Area of exterior glazed openings,

· Area of cold walls ("buffer" rooms),

· Room volumes.

ExpertCAD also generates detailed information relating to exterior openings:

· Heat transfer coefficient (in W/m²K),

· Glazing type (single glazing, double glazing, secondary glazing, etc.),

· Joinery type (timber, PVC, metal, etc.),

· Presence of shutters,

· Type of air gap in double-glazed units (4/8/4, 4/12/4, etc.),

· Presence of argon in the air gap,

· Door type (e.g. glazed door with <30% single glazing).

The assignment proceeds as follows:

IN THE FIELD | • · Measure the room geometry · Measure the (exterior) openings · Measure the rooms in 3D · Measure the areas · Room area computation · Compute areas for ECD
AT THE OFFICE | · Generate the area table

There is no need to measure the openings other than those whose surface areas are to be determined, as the rooms will not be assembled to produce a plan.

With flat-ceilinged rooms, it will not be necessary to measure the rooms in 3D. (The same applies if the room's average headroom is known.)


"Identity Card" survey assignment

With an "identity card" survey assignment, the aim is to produce a diagram of the surveyed property, together with a perspective view and a floor area certificate.

The assignment proceeds as follows:

IN THE FIELD | • · Measure the room geometry (including simplified measurements of door and window recesses) · Measure the openings · Measure the areas · Measure any components (bath, kitchen sink, etc.) · Room area computation · Assembly 1
AT THE OFFICE | · Assembly 1 · Modify the room geometry · Generate the exterior outline · Assembly 2: 2D and 2.5D 1/2 · Generate the floor area table

With this type of assignment, it is essential to measure all the openings, both to ensure that they appear in the diagram and to allow the rooms to be assembled automatically.

By running the Assembly 1 procedure in the field (upon completing your measurements), you can check that no mistakes have been made in terms of the room names entered for the openings.

You can adjust the room geometry, to align the walls and make them perpendicular, for example, in order to produce an attractive diagram.

NOTE: The term 2.5D (or pseudo-3D) is often used to refer to a constant-height view of the walls.


1:100 scale survey assignment (e.g. for a co-ownership agreement)

With a 1:100 scale survey assignment, such as measuring up a property for a co-ownership agreement, the goal is to produce floor plans (with diagrams showing how a co-owned property is divided into units), together with the surface areas used for calculating the proportional ownership shares.

The assignment proceeds as follows:

IN THE FIELD | • · Measure the room geometry (including simplified measurements of door and window recesses) · Measure the openings · Measure the areas · Room area computation · Assembly 1
AT THE OFFICE | · Assembly 1 · Compensation + · Modify the room geometry · Generate the exterior outline · Assembly 2 : 2D · Lot hashing and description of lot hashing · Generate the floor area table

With this type of assignment, neither a survey of the building's exterior nor interior polygonal traversing are generally made; the Compensation functions can be used to level the various floors and manage the alignment of rooms along frontage walls and cross-walls.


1:50 scale survey assignment

With a 1:50 scale survey assignment, such as measuring up a property before renovation work, the goal is to produce floor plans, frontage plans and vertical sections of the building.

The assignment proceeds as follows:

IN THE FIELD | • · Measure the building's exterior and/or carry out interior polygonal traversing · Measure the exterior openings · Measure the floor altitudes · Measure the room geometry · Measure the openings · Measurement of reference points (if necessary) · Make 3D measurements of the rooms · Measure the areas · Room area computation · Assembly 1
AT THE OFFICE | · Assembly 1 · Compensation + · Modify the room geometry · Generate the exterior outline · Assembly 2: 2D and 3D · Generate the floor area table

With this type of assignment, the overall accuracy of the project is important, and this can only be achieved by levelling the complete building.

This can be done:

· Either by measuring the perimeter of the building and a few exterior openings in rooms, thereby levelling some of the rooms in the project and ensuring that any errors are not propagated when the rooms are assembled,

· Or else by interior polygonal traversing, again with the aim of levelling a few of the rooms concerned by the project.

NOTE: If you intend to produce frontage plans, you will need to survey the building's exterior in any case. If, on the other hand, you do not require frontage plans, the exterior will be generated automatically based on the interior rooms, in which case there is little justification for a high degree of precision.

The compensation functions not only compensate for any assembly errors, but also make it possible to check the alignments between floors or along a particular line, such as a frontage wall or structural cross-wall.

If any geometry changes are required they can be applied to rooms at this stage in order to rectify any measurement errors (which are unavoidable in the real world, although their magnitude is well controlled).

NB: The order in which these actions are performed is important. The compensation function neither distorts nor modifies the room dimensions; rather, it minimises the geometry adjustments required at the end of the process. It optimises the positioning and orientation of the rooms with respect to the constraints set by the user.

NOTE: If you intend to produce the frontages only, there is no need to measure the rooms in 3D.

NB: 3D room measurements are necessary, on the other hand, if you intend to produce cross-sections.


Tripod menu in ExpertCAD

The Tripod menu in ExpertCAD

The features that let you work with the Tripod are grouped together in the Tripod menu.

Submenus are organised in the order in which they are normally used during a survey:

· Init: For configuring and initialising the equipment,

· Measurement: For making measurements,

· Modify: For editing measurements.


Chronological order of actions in ExpertCAD

The following actions are performed in ExpertCAD:

1) Create a new project.

2) Create a floor or select the current floor; in Tree View [image] mode, select Current Floor in the Floor menu or select Current Floor in the contextual menu.

3) Create a floor or select the current floor; in Tree View [image] mode, select Add Room in the Floor menu or select Add Room in the contextual menu.

4) Double-click on the room name to open the room's drawing file and then return to Drawing View mode [image]. The name of the room should be displayed at the top of the screen.

5) Open the Tripod menu via the Menu->Tripod function.

6) Select the Tripod->Init ->InitTripod function.

7) Select the Tripod->Measurement->Outline function to measure the room outline.

8) If you want to assemble rooms (or obtain areas relative to openings), select the Tripod->Measurement->Opening in order to measure the room's openings.

9) If you want to measure 3D elements, first generate the 3D model of the room using the Tripod->Measurement->Flat Ceiling, Tripod->Measurement->1-Slope Ceiling, Tripod->Measurement->2-Slope Ceiling or Tripod->Measurement->3-Slope Ceiling function.

10) If you want to measure details in 3D (e.g. beams, etc...), switch to 3D mode [image] and then measure the 3D elements using the Tripod->Measurement->3D Outline function.

11) Repeat steps 3) to 10) except step 6) for the other rooms, remembering to measure the ground reference with the Tripod->Measurement->Ground Reference function as you enter each new room.

12) To assemble the rooms, return to the Project file by double-clicking on the project name in the Room Tree [image]. Then open the Drawing menu and select the Drawing->Tools->Assembly 1 function. (In Tree View mode, you can also select Assembly in the Room menu or the contextual menu).

13) To view a drawing of the current floor of the building, select the Drawing->Tools->Assembly 2 function.

14) Repeat all the actions in steps 2) to 13) for each floor in the building.

NOTE: If the laser meter is unintentionally switched off during the measuring process, use the Tripod-> Init->Reset Laser menu option to reinitialise it.


Initialising the Tripod in ExpertCAD

When you have installed, levelled and switched on the Tripod and laser meter, you must initialise communication with the ExpertCAD software application.

The Tripod is initialised by the Tripod->Init->Init Tripod function.

If you use a Tripod NG with the DISTO A6 laser meter, remember to press the "Bluetooth" button followed by the "2nd" button after switching on the laser meter.

· If the laser meter's Bluetooth address has been set in the configuration file, the Pocket PC will connect to the laser meter automatically; if not, you will need to select the correct device from the onscreen list.

· ExpertCAD then initialises the connection with the laser meter. A symbol indicating that the connection has been established is displayed on the laser meter's control screen (fixed Bluetooth icon).

· To check that the start-up procedure has been successful (front stop), ExpertCAD prompts you to perform a horizontal measurement (using the laser meter's spirit level).

· All that remains is to measure the height of the Tripod by sighting a point on the ground that will be set as your reference altitude 0.

If you use a Tripod NG with the DISTO D8 laser meter, remember to press the "Bluetooth" button followed by the "2nd" button after switching on the laser meter.

· If the laser meter's Bluetooth address has been set in the configuration file, the Pocket PC will connect to the laser meter automatically; if not, you will need to select the correct device from the onscreen list.

· ExpertCAD then initialises the connection with the laser meter. A symbol indicating that the connection has been established is displayed on the laser meter's control screen (Bluetooth icon in blue).

· To check that the start-up procedure has been successful (front stop), ExpertCAD automatically takes a measure and validates the results through the integrated laser meter inclinometer.

· All that remains is to measure the height of the Tripod by sighting a point on the ground that will be set as your reference altitude 0.

If you use a Tripod NG with the DISTO D3 Bt laser meter, remember to press the "Bluetooth" button followed by the "2nd" button after switching on the laser meter.

· If the laser meter's Bluetooth address has been set in the configuration file, the Pocket PC will connect to the laser meter automatically; if not, you will need to select the correct device from the onscreen list.

· ExpertCAD then initialises the connection with the laser meter. A symbol indicating that the connection has been established is displayed on the laser meter's control screen (fixed Bluetooth icon).

·

To check that the start-up procedure has been successful (front stop), ExpertCAD automatically takes a measure and validates the results through the integrated laser meter inclinometer.

· All that remains is to measure the height of the Tripod by sighting a point on the ground that will be set as your reference altitude 0.

Check the connection configuration with the Tripod and the laser meter.

To do this, select the Setup function.

The system displays the following dialog box:

Select the type of laser meter that you use:

· DistoA6, if you use a Leica Disto A6,

· DistoD8, if you use a Leica Disto D8,

· DistoD3, if you use a Leica Disto D3 Bt,

· DLE if you use a Bosch DLE 150 Connect.

You must specify the virtual COM port used by the Bluetooth link between your Pocket PC and the laser meter, proceeding in accordance with the manufacturer's instructions.

If the laser meter is connected to a COM port other than COM1, enter the COM port number in the relevant field. To avoid the need to reconfigure the system the next time you use ExpertCAD, you can change the DISTO_PORT_COM setting in the ExpertCAD.cfg configuration file.

Then specify the COM port used for the link with the Tripod. This is generally COM1.


Defining the floors in a building

To create a new floor (storey) in a building, open the Room Tree view (by clicking [image]) and select the Project->Add Floor function; alternatively, you can select the project and then open the contextual menu and select the Add Floor function. ExpertCAD then prompts you to either select a name for the floor from its predefined list or else enter another name of your choice.

NOTE: The project directory contains a subdirectory for each floor, in which the corresponding rooms will be stored.

To work with this floor, simply make it the current floor. In the Room Tree view (accessed by clicking [image]), either select the Floor->Current Floor function or select the floor and then open the contextual menu and choose the Current Floor function.

NOTE: You must assign a different name to each floor in the project.

NOTE: If you retrieve a project that was originally created using version 3, ExpertCAD automatically creates a floor named "Default".

NOTE: When you work in a project, the current floor is shown in bold in the tree view, to differentiate it from the other floors.

If the floors in the building were measured by more than one person, and as such are stored in different projects, you will be able to reunite the various measurements upon returning to the office by selecting the Floor->Import Floor function. Note that when you retrieve this data, the openings may be re-numbered to eliminate duplicate numbers.


Defining the rooms in a building

You need to define the rooms that make up the property. In the Room Tree view (accessed by clicking [image]), either select the Floor->Add Room function or select a floor and then open the contextual menu and select Add Room. ExpertCAD then prompts you to select the room's name from its predefined list, or else enter another name of your choice.

If Condominium parcelling option is enabled the dialog enables to select the lot then the room's name.

You can then measure up the room simply by opening the room file by double-clicking on the room name.

If you make a mistake, simply select the room that you want to delete from the tree and then select the Room->Delete function, or the Delete Room function in the contextual menu.

NOTE: You must assign a different name to each room in the project.

NOTE: If you need to measure the exterior frontages, create a new room and select the name "Exterior" in the name list.

It is also possible to copy a room from one floor to another; to do this, select Room->Copy Room in the tree view. Any openings will also be copied (only the opening numbers are changed). The altitude data is not copied, however.


Measured surveys of building exteriors

With GExpertCAD, exteriors are surveyed in basically the same way as rooms, with the following differences:

· It is preferable to use a total station,

· The measured survey can consist of one or more open outlines or a single closed outline (if all the frontage walls are visible).

The first step is to create a new room named Exterior. In the Room Tree view (accessed by clicking [image]), either select the Room->Add Room function or open the contextual menu and select Add Room. Select Exterior in the list that opens.

Then double-click on Exterior in the Room Tree view to open the corresponding measurement file.

NOTE: If the building also has an inner courtyard, you will need to create a separate room (e.g. Yard). You may then be able to use polygonal traversing to level the frontage (Exterior room) and courtyard. You will need to invert the outline of the courtyard, to enable it to be selected as an outdoor courtyard during the Assembly 2 procedure.

Open the Total Station menu.

Then select the Total Station->Init->Setup function to check that the communication link with your total station is correctly configured.

In the dialog box, select the Total Station measurement mode, which makes it possible to use the Tripod's measuring functions with the total station.

In this operating mode, the total station can be used in exactly the same way as with the Tripod.

Then initialise communication with the total station.


Initialising the total station

You must switch to Total Station mode before you can use a total station.

Connect the total station to the Pocket PC

• using either the station cable and the serial / USB adapter provided by Measurix,

• or using the station cable and the Bluetooth adapter provided by Measurix

• or using the serial / USB adapter and the Bluetooth adapter,

• or using directly the Bluetooth of the total station.

Switch on your total station and then enable serial communication mode, following the manufacturer's instructions.

Connect the total station to the Pocket PC using the station's serial cable and the adapter supplied by Measurix.

The most commonly-used settings are listed below:

· Leica: Geocom mode.

Speed: 19200 baud

Parity: none

Data bits: 8

Stop bit: 1

· Leica: GSI mode.

Speed: 9600 baud

Parity: even

Data bits: 7

Stop bit: 1

NB: For this mode it is important to check that the TRIPOD_LASER_MODE parameter is set to 1 in the configuration file, failing which the system may malfunction.

· Trimble: Geodimeter (Geo/L) mode

Speed: 9600 baud

Parity: none

Data bits: 7

Stop bit: 1

· Trimble: GDM (S6) mode

Speed: 9600 baud

Parity: none

Data bits: 8

Stop bit: 1

· Sokkia:

Speed: 19200 baud

Parity: none

Data bits: 8

Stop bit: 1

· Topcon:

Speed: 1200 baud

Parity: even

Data bits: 7

Stop bit: 1

NB: The transmission speed must be set in ExpertCAD's configuration file.

Example: TOTALSTATION_BAUD 19200

The start-up procedure varies according to the equipment used:

Operation:

· Leica: Geocom mode

1) Set up and level the station.

3) Connect the Leica serial cable to the Measurix adapter and the Pocket PC cable.

2) Enable Geocom mode.

4) In the Total Station menu, select Total Station->Init->Init Station.

5) The laser pointer should light up. Sight a point on the ground and make a measurement.

The Total Station->Init menu includes functions that let you enable and disable Reflector mode and the laser pointer.

It is also possible to run a compensation procedure, by selecting Total Station->Init->Level and pressing OK.

On robotic stations, you can use the Total Station->Measurement->Goto function to orient the instrument towards a point represented on the drawing (this function also works in 3D mode).

NOTE: It is possible to disable Geocom mode and subsequently re-enable it with no need to reinitialise the communication link between the Pocket PC and the total station.

· Leica: GSI mode

1) Set up and level the station.

2) Connect the Leica serial cable to the Measurix adapter and the Pocket PC cable.

3) In the Total Station menu, select Total Station->Init->Init Station.

4) The laser pointer should light up. Sight a point on the ground and make a measurement.

· Trimble: Geodimeter (Geo/L) mode

1) Set up the station and use Survey Controller to level it.

2) Exit Survey controller, switch off the ACU and disconnect it from the instrument

3) Connect the Trimble serial cable and adapter to the Measurix adapter and the Pocket PC cable.

4) In the Total Station menu, select Total Station->Init->Init Station.

5) The laser pointer should light up. Sight a point on the ground and make a measurement.

The Total Station->Init menu includes functions that let you enable and disable Reflector mode and the laser pointer (on some models).

It is also possible to level the station by selecting Total Station->Init->Level. The instrument runs a compensation procedure when you press OK.

On robotic stations, you can use the Total Station->Measurement->Goto function to orient the instrument towards a point represented on the drawing (this function also works in 3D mode).

NB: It is not possible to disable "Remote" mode and subsequently re-enable it without reinitialising the communication link between the Pocket PC and the total station.

· Trimble: GDM (S6) mode

1) Set up the station and use Survey Controller to level it.

2) In the "Instrument" menu, set the data output to "GDM" mode.

3) Set the "Stream" parameter to "After measurement" mode.

4) Connect the Trimble serial cable and adapter (ref. 571 202 204; Y-connector) to the Measurix adapter and the Pocket PC cable.

5) In the Total Station menu, select Init->Setup and switch enable Total Station measurement mode. The default mode setting is Tripod.

6) In the Total Station menu, select Init->Init Total Station.

7) Disable Reflector mode (Init->Disable Reflector, or switch to "DR" mode in the battery pack menu).

8) Sight a point on the ground and make a measurement. (Note that the minimum distance is 2 m). Press the usual button on the battery pack screen to trigger the measurement.

· Sokkia:

1) Set up and level the station.

2) If necessary, check the communication settings in the Setup (CNFG button) -> Communication Setup menu.

3) Connect the Sokkia serial cable to the Measurix adapter and the Pocket PC cable.

4) In the Total Station menu, select Total Station->Init->Init Station.

5) Sight a point on the ground and make a measurement.

· Sokkia Bluetooth:

If you want to use the Sokkia station in wireless (Bluetooth) mode, the following line must be added in the configuration file:

TS_BT_ADDR   00 0C D3 00 10 09

where 00 0C D3 00 10 09 is the station's Bluetooth address. This information can be accessed via the station's Config->Comms Setup.->Device Details .

If you do not know the address, do not enter a value.

When the connection is established for the first time, ExpertCAD will list all the connectable Bluetooth devices. Note your station's number for future reference.

1) Set up and level the station.

2) If necessary, check the communication settings in the Setup (CNFG button) -> Communication Setup menu.

3) To work in wireless mode, change the Wireless: setting to Yes

In the Bluetooth Setup submenu, select:

Mode: Slave

Authentication: No

Passkey: 0000

3) If you intend to use a wired connection, change the Wireless: setting to No.

Connect the Sokkia serial cable to the Measurix adapter and the Pocket PC cable.

4) In the Total Station menu, select Total Station->Init->Init Station.

5) Sight a point on the ground and make a measurement.

· Topcon:

1) Set up and level the station.

2) If necessary, check the communication settings by opening the Parameters menu (F6 key) and selecting Communication (F2).

3) Enable Std measurement mode (F2 key).

3) Connect the Topcon serial cable to the Measurix adapter and the Pocket PC cable.

4) In the Total Station menu, select Total Station->Init->Init Station.

5) Sight a point on the ground and make a measurement.

You are now ready to use the Total Station functions and Tripod functions in Total Station measurement mode.


Using a total station

You can use a total station with all of the Tripod functions.

Additional features are available in the Total Station menu.

In particular, clicking the [image], [image] et [image] icon (or selecting Total Station->Mode on a Pocket PC) enables you to select either the standard measurement mode (in which the distance and angle are measured simultaneously) or the two-pass measurement mode, in which the Distance is measured first, followed by the Angle (or vice versa).

Note that it is also possible to specify a prism height when configuring the measured survey.


Measured surveys of frontages

Measuring a surveyed property's frontages makes it possible to produce a frontage plan.

NB: These features are only available with the GE and Archi versions of the product.

The frontage measurement principle consists in defining a vertical reference plane onto which the measured elements (e.g. openings, etc.) are projected. This vertical plane will correspond to the drawing. All the usual functions are also available in this measurement mode, including readjustment following a change of station.

The methodology for measuring frontages is described below:

· Set up the Tripod

· Switch to frontage measurement mode

· Measure the reference plane

· Measure the frontage

· Measure the openings

· To enable frontage measurement mode, select the [image] icon or the Tripod->Init->Frontage Measurement function on a Pocket PC.

· The reference plane is recorded by sighting three or more points on the frontage that determine its reference plane. All subsequently-sighted points will be projected onto the same plane. The X- and Y-axes will respectively correspond to the vertical and horizontal axes of this plane.

· The frontage is surveyed by measuring its outline. You can use all the usual drawing functions with the Tripod.

· Openings are measured in the normal way; ExpertCAD represents them in the front view.

NB: Measuring frontages often involves sighting points with a high elevation angle. In such cases, the accuracy of the instrument is mainly affected by the accuracy with which the horizontal plane is levelled. Accordingly, the Tripod NG is equipped with an automatic horizontality error compensation system to ensure overall measuring accuracy.

NOTE: This operating mode can also be used with a total station.


Measuring altitudes

In ExpertCAD, the value z = 0 is the project's reference altitude (or baseline). You can specify this value directly in the project file.

In the Room Tree view (accessed by clicking [image]), either select the Project->Reference Altitude function or else select the project and then open the contextual menu and select Reference Altitude.

It is also possible to set a particular altitude for each floor. You can either specify this altitude when the floor is created, or else set it later in the Room Tree. To use the Room Tree (accessed by clicking [image]), either select the Floor->Altitude function or select the floor and then open the contextual menu and select Altitude.

Rooms can either "inherit" the altitude of the floor to which they belong, or else have a specific altitude value.

You can determine the altitude of a room by making a relative altitude measurement, via Tripod->Measurement->Altitude or [image] on a PC:

· By directly sighting a point located at the project's reference altitude, via the [Sight Reference] option,

· By sighting the ground reference (generally the foundation slab) of another room, via the [Room] option,

· By sighting a "virtual target" that will also be sighted from another station, via the [Target] option. This type of measurement is often made by sighting the lintel of an opening from outside the building (Exterior room) and then sighting the same point from inside the room.

NOTE: These measurements can be entered manually, or measured with a laser meter, the Tripod or a Total Station.

NOTE: In the case of an exterior polygonal traversing and therefore the exterior outline is measured in the project, the measurements of targets or ground reference can also be done directly in the project.

You can use the Area->A->Z? function or the [image] icon on the PC to run the altitude calculation that automatically generates the altitude symbols for each room on the plan. The calculation of the altitudes can also be done directly from the doorways.

The calculation can only be performed if one of the following conditions is satisfied:

· Each room on a floor has one or more altitude measurements,

· Only one room has an altitude measurement, with the other rooms on that floor inheriting the same value,

· No rooms have an altitude measurement, in which case, they all inherit the value assigned to the floor.

If redundant measurements have been made, ExpertCAD performs a least-squares calculation.


Control of measured altitudes

The Analyses->Analyses (PC) or Drawing->Tools->Description->Analyses (PPC) function allows you to list all measured altitudes :


Interior polygonal traversing and measuring reference points

You can measure a network of reference points to ensure maximum precision throughout the measuring campaign (and in particular when assembling the various rooms).

Reference points of rooms are then used to re-level Tripod in the rooms before to measure them.

You must measure at least two reference points per room.

NB: The network of reference points must be measured and saved in the project file before the rooms that contain the reference points are created and surveyed.

NB: If your measured survey includes frontages, these must also be "levelled", by measuring reference points on the walls.

This network of points can be obtained from a station using the Total Station->Measurement->Grid function; alternatively a conventional traverse+sideshot method can be used, by selecting the Total Station->Measurement->Traverse function:

1) First station

2) Measure any sideshots. Always specify the name of the floor and the room to which the measurement corresponds.

3) Foresight the next station (or several stations, in particular if any secondary traverses are necessary)

4) Move and set up the equipment

5) Input the position of the previous station

6) Backsight the previous station

7) Make any necessary sideshot measurements. Always specify the name of the floor and the room to which the measurement corresponds.

8) Foresight the next station (or several stations, in particular if any secondary traverses are necessary)

9) Move and set up the equipment

...

end - 1) Input the reference station for compensation

end) Sight the first station to compensate the traverse and sideshot measurements.

The closing measurement compensates for any measuring errors at the various measured points, stations and reference points.

Compensations are made in 3D and weighted by the distances. It is for this reason that, for each station, the height of Tripod/Total station is asked.

The compensation values are weighted according to the distances involved.

The points thus measured are displayed in GExpertCAD using the following symbols:

When you create a room for which the reference points were measured at project level, they are automatically added to the room file to allow you to readjust the Tripod.

NOTE: The Total Station ->Meas->Traverse informations displays a summary of all measured stations.

NOTE: If you make a closing sighting to compensate your traverse, the reference points will also be compensated, but the geometry of the "levelled" rooms is not altered.

NOTE: It is possible to measure outlines while traversing with Total Station->Meas->Outline et Total Station->Meas>Continue function.

NOTE: It is possible to use secondary traverses.

NOTE: The first station need not necessarily be the station for which the closing compensation measurement is made.

NOTE: The traversing sequence is saved, making it possible to conduct a traverse in several stages, even after exiting GExpertCAD (as long as the data was saved).

NOTE: It is also possible to traverse inside a room, in particular to measure the perimeter of the building ("Exterior" room).

If you use a Trimble station in GEODIMETER mode, selecting the Total Station->Init->Level function displays an electronic level with which to adjust the instrument. Clicking OK runs a compensation procedure. There is therefore no need to reconnect the ACU in order to change the station; if you do, the communication link between the Pocket PC and the Total Station must be reset (Total Station->Init->Init Station).

With other stations, the electronic level is not enabled but the compensation procedure can still be run by clicking OK. It is possible to interrupt the communication mode at any time with no need to reset the communication link between the total station and the Pocket PC.


Measuring rooms while traversing

When you use a total station for an interior traverse, it is possible to measure room outlines directly in the project. However, it is better to create each room separately.

This is because running the compensation function would affect the reference points and hence the room (although the room's geometry remains unaltered).

If you choose this approach, set the measurement mode to Total Station and use the measuring functions in the Tripod menu.

NB: Whenever you measure an outline, remember to specify the name of the room to which it belongs.


Measuring rooms with the Tripod

Open the desired room file and then activate the Tripod menu.

Next, select the Tripod->Init->Init Tripod function (cf. Initialising the Tripod in ExpertCAD).

By default, the elements that you create will be stored on the Area layer.

To measure an outline, select the Tripod->Measurement->Outline function. Sight the first corner of the room with the laser meter and trigger the measurement either by pressing the button on the laser meter or by clicking the Measurement icon [image].

Repeat the same procedure for the remaining corners.

NB: End by clicking the [End] button and selecting [Open], or [Closed] to close the outline. If you forget this step, the outline remains displayed in red and is not valid.

If any of the corners are not visible - if obstructed by an obstacle, for example - simply measure a point on the preceding wall and another point on the following wall, which will enable ExpertCAD to create the corner by calculating the point of intersection of the two walls. To use this feature, click the Straight Wall button and make your two measurements.

NOTE: You can use this method as many times as necessary; with a rectangular room, for example, it is possible to measure two points per wall rather than the four corners... Note, however, that this approach is generally less accurate than sighting the corners directly, because it is not uncommon for walls to have uneven surfaces.

If you make a mistake you can cancel the previous measurement with the Undo [image] tool.

If you need to move the tripod in order to continue measuring up the room, click the [End] button and select [Open] to finish recording the current outline.

Move the tripod and readjust it with the Tripod->Measurement->Readjust function.

You can then resume the measurement process by selecting the Tripod->Measurement->Continue function.

It is also possible to skip any hidden corners and insert them later (see following pages).

NOTE: Maximum accuracy is obtained when corners are sighted horizontally.

NB: When you have completed your measured survey, use the Area->A->A? function in the Area menu to update the certified and non-certified areas.

NOTE: There is no need to initialise the Tripod each time you move it. It is enough to calibrate the horizontality when you start work. It is important, however, to carefully adjust the horizontality of the Tripod base (using the bull's eye level and levelling screws) whenever the instrument is moved to a new station.


Measuring islands in a room

If the room being measured contains an "island" - in the sense of another room inside the one being measured (for example a lift shaft) - you will also need to measure the island. However, because ExpertCAD systematically considers the part inside the outline to be the actual room, you will need to manually "invert" the outline, using the Drawing->Modify->Invert function or the [image] icon on a PC.

In the example above, the interior outline is incorrectly oriented; this can be seen from the opening symbol which indicates the side of the wall.

The result obtained after "inverting" the outline is correct.

NB: Remember to also declare this outline as a deductable area, failing which it will be double-counted by the Area->A->A- function.


Using geometric construction in measured surveys with the Tripod

We have already seen how the "straight wall" surveying technique can be used to construct a hidden angle by determining the point of intersection of two adjacent walls.

ExpertCAD also supports other construction methods based on the perpendicularity of adjacent walls:

· Based on a point on one wall, it is possible to measure a point on the next wall and declare the two walls to be perpendicular,

Example for a rectangular room

Measurement 1: Corner

Measurement 2: [Straight] -> Point on a straight wall

Measurement 3: [Perp] -> [Perp straight wall] -> Point on a perpendicular straight wall

Measurement 4: [Perp] -> [Perp straight wall] -> Point on a perpendicular straight wall

Then:

[End] -> [Closed]

· Based on a point on one wall, it is possible to measure the next corner and declare the two walls to be perpendicular,

Measurement 1: Corner

Measurement 2: [Straight] -> Point on a straight wall

Measurement 3: [Perp] -> Corner on a perpendicular wall

· Based on a corner, if the following wall is completely hidden from view, it is possible to measure the corner of the wall after that and declare the three walls to be perpendicular,

Measurement 1: Corner

Measurement 2: Corner

Measurement 3: [Hidden perp] -> [Perp straight wall] -> Point on the following perpendicular wall

· Based on a corner, if the following wall is completely hidden from view, it is possible to measure a point on the wall after the hidden wall. When this second wall has been determined (by recording either another point on the wall or the following corner), the hidden wall can be constructed.

Measurement 1: Corner

Measurement 2: Corner

Measurement 3: [Hidden perp] -> Point on a straight wall

Measurement 4: Corner

It is possible to "mix and match" these methods to dictate right-angles, thereby facilitating the subsequent plan assembly stage.

Measurements 1 to 3: Corner

Measurement 4: [Straight] -> Point on a straight wall

Measurement 5: [Perp] -> Corner on a perpendicular wall

Measurements 6 to 7: Corner

Measurement 8: [Hidden perp] -> Point on a straight wall

Measurements 9 & 10: Corner

Measurement 11: [Straight] -> Point on a straight wall

Measurement 12: [Straight] -> [Perp] -> Corner on a perpendicular wall

Measurements 13 & 14: Corner

Measurement 15: [Hidden perp] -> [Perp straight wall] -> Point on the following perpendicular wall

Then:

[End] -> [Closed]

At the end of the outline measurement, a diagnosis is performed in order to detect double points and other loops.

NB: Note that the corners are created as right-angles!

It is unwise to declare a wall as being perpendicular to the previous wall if the previous wall is too short to allow its orientation to be accurately determined... This is why measurement 8 was made.

You can measure a hidden corner by measuring a distance from:

· a point before the measurement

Measurement 1 : Corner

Measurement 2 : [Point on straight wall] -> Point on wall

Dimension 3 : [Length] -> Enter the distance between the previous corner (1) and the hidden corner (usually this is the length of the wall)

Measurement 4 : Corner

· a point after the measurement

Measurement 1 : Corner

Measurement 2 : [Hidden] -> [Length] -> Point on next straight wall

Measurement 3 : Corner on next straight wall

Dimension 4 : Enter the distance between the hidden corner and the next corner to be measured (usually this is the length of the wall)

NOTE: It is possible to take a distance with the laser meter even if the Tripod is initialized.


Measuring closets with the Tripod

Unlike an alcove, a closet has an opening.

The first step is to use the Tripod->Measurement->Opening function to measure the closet's opening, and then create the closet outline.

Select the Tripod->Modify->Insert Closet function and choose the newly-created opening. Then all you have to do is measure the rear left and right corners of the closet.

If the rear corners are not visible, use the Area->Measurement->Closet function to set the closet dimensions manually. It is also possible to specify a "dissymmetric" closet, meaning one in which the door is not positioned centrally across the closet's width.

Since version 4.3, it is possible:

· to have sides of the closet perpendicular to the wall opening (default option), or perpendicular to the closet rear with "Sides perpendicular to closet rear" option,

· to measure closest which rear isn't straight :

NB: The area of the closet is added to the area of the room in which it is located. It is not listed separately in the area table.

NOTE: This method need not be used exclusively for closets. With small rooms such as WCs, you can often save time (as illustrated in the example below) by using this method rather than creating different rooms and measuring them separately. Function File->Save As room allows to store a room measured as a closet as an independent room.


Measuring pillars with the Tripod

It is common for "unintended artefacts" to latch onto room outlines, and pillars are among the most frequent offenders.

It is generally quicker to measure the rough outline and add these items afterwards. Accordingly, you can use the functions in the Tripod->Measurement->Pillar submenu to measure rectangular pillars abutting a wall, corner pillars (and utility shafts) and curved pillars.

Tripod->Measurement->Pillar->Rectangular

Tripod->Measurement->Pillar->Corner Pillar

Tripod->Measurement->Pillar->Round

[Stand-alone pillar] option creates the pillar along the wall without changing the outline.

NOTE: Naturally, it is possible to also use these functions for other purposes, as illustrated in the example below:

The straight window recesses can be recorded as pillars.


Geometric construction tools

In some situations, it can be useful to be able to modify the outlines measured in a survey.

You can do so using the following three functions: Tripod->Modify->Limit Continue, Tripod->Modify->Limit By and Tripod->Modify->Split.

The Tripod->Modify->Limit Continue [image] function is particularly useful for measuring staircases and beams. All you need to do is measure a line with two visible points and extend it until it reaches the room outline. (Similarly, the Drawing->Tools->Parallel function can be used, after measuring a point, to construct the other side.)

The Tripod->Modify->Limit By [image] function lets you construct a curve by associating two other curves.

You can use the Tripod->Modify->Split [image] function to split and then extend a curve that has already been measured.

Any constraints associated with the initial curve (in particular in the case of openings in an outline) are kept.

NOTE: The new ends of the outline are thereafter treated as points measured using the Tripod (subject to X= Y= position constraints).


Readjusting the Tripod

In certain situations, it may be almost impossible to sight every corner of a room with the tripod in the same position.

In such cases, you can interrupt the measuring procedure, move the Tripod (known as "changing station") and readjust it, and then:

· Either resume the measurement process, via the Tripod->Measurement->Continue function,

· Or modify the measured outline using the Tripod->Modify->Insert Point or Tripod->Modify->Move Point function.

To readjust the Tripod after repositioning it, simply measure two points that had already been measured in the previous station. These points can be corners of the room or any other features of your choice. Do this by selecting the Tripod->Measurement->Readjust function.

If you require particularly accurate measurements, it is possible to readjust the Tripod with more than two measurements, using GExpertCAD's Total Station->Measurement->Readjust function. These measurements are averaged and weighted based on the distances involved.

NB: If multiple readjustment procedures are going to be necessary, try to choose sighting points that will be visible from all of the stations, to avoid combining any adjustment errors. Measure as many visible walls as possible from the first station. You will always be able to link them together afterwards, using the Tripod->Measurement->Continue function's [Connect] option.

NOTE: Measure as many outline sections as possible from any given station. You will always be able to link them together afterwards, using the Tripod->Measurement->Continue function's [Connect] option.

NOTE: It is possible to readjust the Tripod without having to leave the current function.


Measuring curves with the Tripod

The method for measuring curved and straight walls is essentially the same, except that when you want to measure a curved section of wall you must also make a measurement on the curve itself in order to determine its radius.

Select the Tripod->Measurement->Outline function.

Begin the measurement procedure as described in Measuring with the Tripod. When you reach the curved portion, click on the [Curved Wall] option, make your measurement and then click the [Corner] option to return to the normal input mode.

If the join between the straight and rounded parts of the wall is not clearly visible, use the [Straight Wall] option followed by the [Curved Wall] option.

If you are unable to identify the limit between the straight and curved wall sections, you can click the [Straight Wall] option to input a point on the wall, and then click the [Curved Wall] option to input three points along the curve, before clicking [Straight Wall] again to input a point on the following straight wall section and finally clicking the [Corner] option to switch back to corner measurement mode.

NOTE: It is possible to combine the two methods depending on whether only the beginning or the end of the curved wall isn't visible.

NB: In some cases, this method may not yield a result, because ExpertCAD calculates the intersections between the perfect arc that passes through the three measured points and both of the straight walls, and there may not be a solution... This approach should therefore only be used with convex curves.


Overlapping rooms

If you face "overlapping" rooms between floors, you can use the Room->Copy and Link function. When assembling, the rooms "copied and linked" are automatically superimposed on those of the lower floor and the floor plans are well matched.

It is interesting to note that part "copied and linked" may differ slightly from the reference room. ExpertCAD considers that rooms are linked as they have two consecutive common walls.

Use the editing functions Tripod->Mod to modify a "copied and linked" while retaining the same walls.

Example: Although they are not exactly the same, these two rooms can be "copied and linked" and will be recognized by ExpertCAD.


Tips for avoiding station changes

When you conduct measured surveys in rooms that contain numerous concealed corners or pillars, the station changing method quickly becomes tiresome.

An alternative method leverages ExpertCAD's geometric constraint processing capabilities to avoid the need to move and readjust the Tripod.

In most cases it is possible, especially for small sections of outline, to exploit the shape of the walls - such as the fact that two sections of wall are essentially parallel or perpendicular - in order to "construct" the hidden wall sections.

The procedure for doing this is described below:

1) Activate the Constraints layer to show the coding associated with the corners measured with the Tripod,

2) Use the Drawing menu functions to modify the room outline so that resembles the actual situation,

3) Use the Area->Measurement->Numbering function to check how many constraints to create (i.e. 2 x the number of points added)

4) Use the constraint creation functions in the Area->Measurement menu.

5) If appropriate, use the Area->Measurement->Solve function to regenerate the geometry.


Using constraints to handle hidden corners

In the Drawing menu, select the Drawing->Modify->Insert Point function to modify the room outline.

If you then add a Right-Angle constraint (Area->Measurement->Perpendicularity) and a Parallelism constraint (Area->Measurement>Parallel), the drawing will be recalculated automatically. (Naturally, it is possible to use an alternative combination of two constraints, such as Perpendicularity + Distance for example.)


Example - Measuring a chimney

In the Drawing menu, select the Drawing->Modify->Insert Point function to modify the room outline.

Then add a Right-Angle constraint (Area->Measurement->Perpendicularity) and a Parallelism constraint (Area->Measurement>Parallel); the drawing is recalculated automatically.


Example - Measuring window bays

In the Drawing menu, select the Drawing->Modify->Insert Point function to modify the room outline.

Then add an Angle constraint (Area->Measurement->Angle) and a Parallelism constraint (Area->Measurement>Parallel); the drawing is recalculated automatically.

To set the value of the Angle constraint, use the [Copy] button to measure the opposite angle.


Measuring alcoves with the Tripod

Various methods can be used, depending on the desired result. If you want ExpertCAD to draw closet doors, you MUST create a separate room; where this is not the case, the term "alcove" is used.

Measuring an alcove

A: If the corners at the back of the alcove are visible, the alcove can be measured in the normal way using the Measurement->Outline function.

B: If only one corner is visible, you can:

· either use [Hidden] + [Length] options with Tripod->Meas->Outline function,

· or move the Tripod, readjust it and then measure the missing corner using the Tripod -> Modify ->Add Vertex function.

· or use Tripod->Meas->Alcove. This function inserts an alcove on one side from two existing points and a depth or a point on the rear or by inserting 2 new points and a depth or a point on the rear. Perpendicular and length constraints are automatically created.

· or else use the constraint management functions, as described below. Open the Drawing menu and select the Modify->Insert Point function to modify the room outline. You can then use the Measurement->Perpendicularity function in the Area menu to add two right-angle constraints, which will cause the drawing to be automatically recalculated.

C: In some cases, items stored in the alcove may prevent the rear corners from being measured, in which case access to any point on the rear wall must suffice.

One possible solution is described below:

1) Use the Tripod->Measurement->Outline function to measure the room without including the alcove walls,

2) Use the Tripod->Modify ->Insert Closet function to draw the closet,

3) Measure the closet depth and then use the Area->Measurement->Length function to enter the lengths of the two sides of the closet; (alternatively, you can use Area->Measurement->Paral+Distance to force the rear wall to run parallel to another wall located at a specified distance).

It you are able to sight a point on the rear wall of the closet, you may prefer to use a different procedure, which avoids the need to measure the depth of the alcove:

1) Use the Tripod->Measurement->Outline function to measure up the room without including the closet walls,

2) Use the Tripod->Measurement->Point function to record a point on the rear wall,

3) Use the Tripod->Modify->Insert Closet function to draw the closet,

4) Use the Area->Measurement->Point on Wall function to force the rear wall of the closet to run through the point measured with the Tripod,

5) Use the Area->Measurement->Parallelism function to add a constraint that forces the rear wall of the closet to run parallel to a suitable wall in the room.


Using the "Wizard" magic wand

ExpertCAD includes a "Wizard" that can make geometry changes and create constraints relating to the situations already described.

The Wizard uses a shape recognition algorithm to identify the most common cases and modify the shape of the outline by adding hidden points and then constraints as appropriate.

The effect of the Wizard tool when applied to an outline is shown in the image above, highlighted in each case by the red arrow.


Reference points measurement

The default principle of assembly rooms in ExpertCAD is to assembly by the openings. But in addition to this method, it is possible to assembly rooms using the reference points, measured from one or more other rooms.

So if at least two reference points are measured from a given room, the position and orientation of this one are defined. These points will of course also have been measured from other rooms.

If a single reference point is measured, it is taken into account for room positioning only workpiece while the orientation is calculated from the openings.

This solution is interesting, in the case :

· old buildings with non-parallel walls,

· opening on very short walls that lead to a bad angular positioning accuracy of two rooms,

· when an opening can be measured only from one side (or not at all).

The procedure is as follows :

First room :

1) Measure the outline and all the components of the room

2) Use Tripod->Meas->Reference point function. Indicate systematically in dialog box the name of the floor and the room which belongs to the reference point.

Second room :

1) Measure the outline and all the components of the room

2) Use Tripod->Meas->Reference point function. Indicate systematically in dialog box the name of the floor and the room which belongs to the reference point. If reference points exist ExpertCAD will propose a list view with points already measured.

Each point is referenced by the name of the floor, of the room and with a unique number. Select the item and click OK.

Here is an example obtained by an assembly with reference points. You will notice that the opening between the two rooms "office" and "hallway" is not taken into account.

NOTE: Reference points can be used between floors.


Measuring openings with the Tripod

You need to measure the openings if you intend to subsequently assemble the rooms.

This entails measuring the dimensions and position in the wall of each opening by sighting a number of points that define it (e.g. three points for a door). During this procedure, you must also specify the name of the adjoining room (to allow the rooms to be assembled), as well as some additional details that will be used to produce the plan.

When you move on to the adjoining room, you will only need to measure the position of the opening, as its dimensions are already known. This is why ExpertCAD assigns a unique number to each opening, so that any openings already measured in a previous room can be retrieved.

Use the Tripod->Measurement->Opening function.

You can either create a new opening or copy one that has already been measured.

The next step is to enter the name of the adjoining room, with which the opening is shared. The room names already present in the project folder are displayed at the top of the list, separated by --------.

NOTE: In the case of exterior openings, you should set the room name as "Exterior" if your assignment requires you to measure the frontages; otherwise, simply leave the name blank and click the [OK] button.

1) Measuring an opening for the first time

· Select Door or Window by clicking on the appropriate tab,

· Select the Opening Type,

· Select the shape of the opening, i.e. rectangular or curved

Then measure:

· 3 points on the frame of a round opening

· or the top left and top right points, (with windows, it is also possible to measure a diagonal by selecting the [Diagonal] option)

· the point of maximum deflection in the case of a curved opening such as a bow window,

· a point on the joinery or value of recess (distance between the wall and the opening for a manual opening) in case of an opening in the wall thickness,

· a point level with the window sill or door threshold (not necessary if the threshold level is '0').

· lastly, in the case of a door you must specify the direction of opening by sighting the approximate position of the door leaf when opened.

The Frame field must be ticked if you want the opening to be drawn with a frame (except with the objects in the Foncia™ library, which all have frames). In all cases (except with the Foncia™ library), the measured dimensions are those of the door leaf or moving frame. The fixed frame will be drawn as an addition. The thickness of the fixed frame is user-definable (default setting: 0.05).

With EEA surveys, if the opening is an exterior opening, another dialogue box is displayed, prompting you to enter details relating to the opening's insulating properties. This dialogue box varies according to whether the opening is a door, a window or French windows/patio doors.

In case of an opening in the wall thickness, the recess value is the distance between the wall of the measured room and the joinery. If the opening is manually measured it is possible to specify the distance between the linked room and the joinery using the "[Inv]" option.

2) Measuring the same opening in another room

If the adjoining room has already been surveyed, the opening will already have been measured, and ExpertCAD will prompt you to select it from a list. Each opening has a unique reference number, which is shown in the first column, followed by its dimensions. Select the right opening and click OK.

NOTE: The first opening in the list is automatically pre-selected by default.

In this case, the only unknown factor is the position of the opening, which must therefore be measured. You will be able to measure the top left or right point, if they match the same points as already measured in the adjoining room; otherwise, you can simply measure two points that are symmetrical to the opening's centreline (if the opening has a frame, as is often the case).

Very often, rooms contain several identical opening blocks. In such cases, ExpertCAD can copy an opening that has already been measured and position it in a different location: Use the Tripod->Measurement->Opening function, enter the name of the adjoining room and then click the [Copy] button. The rest of the process is as in case 2) above.

NOTE: It is possible to measure superimposed openings provided they do not overlap in z. The openings shall be measured one after the other proceeding from bottom to top.

NOTE: Other than with the special "Foncia™" library, the measured points represent the opening frame or door leaf on the plan.

NB: Be sure to correctly specify the name of the adjoining room when you insert an opening, failing which the assembly process will not be performed correctly.

NOTE: When you copy an opening, you can also choose an opening measured in another room ([Other room] option).

NOTE: You can fill the reveal information using the laser meter. Simply unscrew the laser meter of the plate and take the measurement. The distance is entered in the highlighted item. The next item to go pass information highlighted.


Measuring door and window reveals

The TRIPOD GE version includes advanced a number of high-precision surveying features.

In particular, it lets the user enter parameters relating to the reveals of Exterior openings, in order to obtain a faithful representation of a building's frontages.

These parameters are accessible via the Reveal tab in the opening measurement dialog box.

The values entered for offsets are relative to the opening frame or door leaf (i.e. to the dimensions actually measured), and as such make no allowance for a fixed frame.

These parameters will be shown on the plan and in 3D views by a special representation, as illustrated by the middle window in the frontage shown below.


Openings with doorway measurement

Using openings with doorway allows an accurate measurement of the geometries of the opening and the doorway while keeping intact the wall supporting the opening.

The doorway is measured simultaneously with the opening. It is possible to measure a doorway different on each side of the wall.

Several doorway types are available :

· Rectangular: the doorway is straight and parallel to the wall. It is only necessary to measure:

· the top left point (or ceiling option if you want the doorway to go to the ceiling and doorway the upper left point),

· the right high point (you can also take a diagonal by choosing [Diagonal]),

· the lower limit (or the [Floor] option) if the [diagonal] was not selected,

· a point on the rear of the doorway to determine the depth.

· Curved: the doorway is curved and parallel to the wall. It is only necessary to measure:

· the top left point,

· the right high point (you can also take a diagonal by choosing [Diagonal]),

· the point of maximum deflection,

· the lower limit (or the [Floor] option) if the [diagonal] was not selected,

· a point on the rear of the doorway to determine the depth.

· 4 points : Just measure the 2D shape of the doorway and the upper and lower limits:

· left exterior point,

· left interior point,

· right interior point,

· right exterior point,

· top limit of lintel or [Ceiling] option,

· bottom limit of linter or [Floor] option.

· 3 points : the doorway is symmetrical. Just measure its 2D shape with 3 points (the fourth is recalculated from the other three) and top and bottom limits :

· left exterior point,

· left or right interior point,

· right exterior point,

· top limit of lintel or [Ceiling] option,

· bottom limit of linter or [Floor] option.

· Two 3D curves. Simply measure with the Tripod:

· a 3D curve defining the outer outline of the doorway,

· a 3D curve defining the inner outline of the doorway,

· One 3D curve. Simply measure with the Tripod:

· a 3D curve defining the outline of the doorway,

· a point on the rear of the doorway to determine the depth.

NOTE: In case the opening is manually measured, the value of recess must be measured between the rear of the doorway and the beginning of the joinery.

NB: The rear of the doorway is considered parallel to the wall.

NOTE: It is possible to use a single doorway in the case of superimposed openings. In this case, the doorway must be measured with the closest opening to the ground. The superimposed openings must be measured with a recess equal to the depth of the doorway.


Simplified measurement of openings with recesses

If you only require a symbolic representation of openings (without the exact dimensions), using openings with recesses greatly simplifies and accelerates the surveying process.

All you need to do is select an opening with recess in the Openings list and then measure the corners of the recess.

ExpertCAD will then automatically generate the drawing of the recess when it produces the plan (during the second stage of the assembly process).

The standard shape of recesses is configurable at project level, via the File->Setup->Simple doorways menu option.

These default values, which can be modified, are used during Assembly 2.

NOTE: The shape of the room and by extension its area are not modified by the choice of recess, so there is no need to deduct the area of the recess from the certified area.


Copying an opening already measured

When you copy an opening, you can also choose an opening measured in another room. Choose [Other Room] in the command line.

The choice of the opening can be done graphically as ExpertCAD presents a display of the room where is the opening to copy:


3D measured surveys with the Tripod

You need to use ExpertCAD's 3D measurement features if you want to produce a cross-section of the surveyed building or measure features (e.g. beams or roof trusses) together with their altitudes.

You can use the following four basic functions to generate a 3D representation of the room, based on its measured outline and its openings:

· Tripod->Measurement->2D->3D->Without Ceiling,

· Tripod->Measurement->2D->3D->Flat Ceiling,

· Tripod->Measurement->2D->3D->1-Slope Ceiling,

· Tripod->Measurement->2D->3D->2-Slopes Ceiling,

· Tripod->Measurement->2D->3D->3-Slopes Ceiling,

· Tripod->Measurement->2D->3D->N-Slopes (convex) Ceiling.

If a room has a sloping ceiling, simply sighting three points per slope enables ExpertCAD to generate the corresponding section of the ceiling.

If you have measured pillars in 2D as in the example below...

...they will also be automatically generated in the 3D representation.

When you have enabled 3D mode by clicking the [image] icon, you can measure the architectural features using the functions in the Tripod->Measurement menu or the Drawing->Create menu.

NOTE: The 3D representation of the room is linked with the outline measured in 2D; if you modify this outline, the 3D representation of the room will be updated when you switch back to the 3D view.

NOTE: You can use the Tripod->Measurement->2D->3D->Curve function to convert a 2D curve to 3D.


3D measured surveys of complex roof structures

In certain situations, you may need to measure roof structures with more complex shapes than those described so far, such as hipped roofs.

In such uses, you should use the Limit By Plane function [image] Tripod->Modify->Limit->By Plane, measuring three points on the plane.

In the example above, you only need to sight three points on the truncated roof slope to obtain the following result:

NOTE: Note that the 3D representation of the room no longer includes the openings. This is because the object is drawn in constructive solid geometry (CSG) mode; the previous shape can be re-generated by selecting Drawing->Create->3DShape->CSG->Burst.


Measuring beams, pipes, etc...

You can also use the Tripod to measure components with special geometric shapes (e.g. beams, pipes, profiled metal parts, etc.) directly in 3D.

· Measuring a rectangular pillar: Tripod->Measurement->Prism->Rectangular Pillar.

· Measuring a round pillar: T ripod->Measurement->Cylinder->Create.

· Measuring a beam: Tripod->Measurement->Prism->Reconstruct. To "reconstruct" a beam, simply measure three or more sections of the beam, each section being defined by sighting three points along the beam's edges. In the example below, the points to be sighted (in the same order for each section) are shown in red.

ExpertCAD gives the following result.

NOTE: The more sections you measure, the more accurate the result.

· Measuring a beam on a face: Tripod->Meas->Prism->On face. To measure a beam on face, you need to measure a point on the face of the object on which to build the beam (or to use the [Face by 2 edged] option in the case you're not using the Tripod), 2 points on the first edge of the beam one point on the opposite edge. On the following example, points to measure are in red.

ExpertCAD gives the following result.

· Create a prism on a corner: Tripod->Meas->Prism->Corner. To measure a prism on a corner, you need to measure a point near the edge of the corner (or to use the [Edge] option if you're not using the Tripod), and two points on the side of the prism.

You can extend the beam using Limit by Plane function [image] Tripod->Modify->Limit->By Plane function, selecting the Wall option and designating two edges of the wall against which the beam rests.

ExpertCAD produces the following result:

· Measuring profiled metal parts: You can create a profiled part by using the [image] Drawing->Create->3D Shape->Prism->Profile function after reconstructing the beam

· Measuring pipework: The same method is used as for measuring a beam by reconstruction. Use the [image] Tripod->Measurement->Cylinder->Reconstruct function. You can use the Limit by Point and Limit by Plane functions to extend the cylinder produced by this function.

· Measuring a conical pipe element: The same method is used as for measuring a beam by reconstruction. Use the [image] Tripod->Measurement->Cone->Reconstruct function.


3D net measurement

The Tripod can measure meshed of 3D points, e.g. a wall with batter, a vault, etc...

· The first function is used to measure a net with a reference plane.

· The second function can rely on a wall, either to measure the batter or a vault. By Designating two edges of the wall, ExpertCAD generates the reference plane and adds points so that the resulting mesh is based on the designated edges. If some points are unnecessary, you can always delete them with the Delete point function.

· The following three functions are respectively used to insert a new point, move or delete a point.

· The last function to change the mode of representation of the net : wired or polyhedral surface.

Example 1 : Measurement of a wall with batter. The use of the [image] function enables to generate "level lines" and thus measure the defects of the wall.

Example 2 : Measurement of a vault (polyhedral representation)

NOTE: ExpertCAD generates a convex surface, thus it may be necessary to remove the faces that do not exist in reality. Use the Drawing->3D Shapes->Operations->Extract face.

Example 3 : Measurement of an underside stair.


Ruled surfaces measurement

The [image], 3D->Tripod->Meas->Ruled surface function allows you to create ruled surfaces.

Simply select two curves and how to connect :

Example 1 Alignment of curves automatic

Example 2 With curvilinear abscissa


Flat surfaces measurement

Use the [image], 3D->Tripod->Meas->Face function to create flat surfaces.

Simply select the outlines limiting the face or create one dynamically with [New contour] option.

If the outline points are not coplanar, the face is created in the midplane of the outline.

Example


Using the Tripod to measure areas with less than 1.80 m headroom

Measuring areas with less than 1.80 m headroom is child's play with the Tripod!

Simply use the Tripod to sight three points on a flat surface; ExpertCAD can then calculate the spatial positioning of the plane and automatically deduct any areas where the headroom is less than 1.80 m (projected onto the floor).

NOTE: It is possible to use this function on an opened outline if the area with less than 1.80 m headroom is completely measured.

It is also possible to measure a flat outline and then extract the area with <1.80 m headroom using the Area->A->A<1.80m function and the [3D Outline] option. This approach is illustrated below: points 1 to 7 were measured by the Tripod in order to extract the area to deduct.

In ExpertCAD, the result is shown in orange (like any other outline to be deducted).

If you have already measured the 3D outline of the room using the 2D->3D tool, there is no need to measure the slope(s) a second time. Simply use the Area->A->A<1.80m function's [3D Calculation] option and specify the room outline to which the calculation is to apply.


Measuring areas for energy efficiency assessments (EEA)

Before the surface areas required for an energy efficiency assessment (EEA) can be calculated, you must measure up the room and any exterior openings.

The following areas are generated:

· Floor area,

· Ceiling area,

· Net area of exterior walls (after excluding openings),

· Area of exterior openings,

· Area of party walls with buffer rooms (unheated rooms),

· Room volume.

The floor areas are deduced from the certified area measurements.

There are two possible situations:

1) The room has a flat ceiling and the ceiling height is known. Select the [image] function in 2D mode, or Area->A?->EEA on a Pocket PC

If the ceiling area matches the floor area, the volume is calculated automatically (floor area x headroom)

If all the exterior walls have one or more openings, ExpertCAD will calculate their area automatically; if not, you will have to specify which walls to include,

Lastly, you will need to indicate any walls that adjoin buffer rooms.

By default, walls with an opening on exterior or a room that is outside of the building (ExpertCADOpeningOutsideRooms.cfg file) are automatically preselected. It is further possible to add only a part of wall using this option [Wall part].

2) The room does not have a flat ceiling, in which case the room must be measured in 3D. Select the [image] function or Area->A?->EEA on a Pocket PC in 2D mode and specify that the areas will be calculated in 3D. Select the [image] function or Area->A?->EEA on a Pocket PC in 3D mode.

The ceiling area and room volume will be calculated automatically,

If all the exterior walls have one or more openings, ExpertCAD will calculate their area automatically; if not, you will have to specify which walls to include, by specifying two edges along each wall that must be included,

Lastly, you must indicate any walls adjoining buffer rooms in the same way.

When the data needed for the EEA has been recorded for a room, a red EEA symbol is displayed next to the room in the Room Tree.


Create ECD thumbnail

Before you can generate an ECD thumbnail, you must have completed the energy information in the dialog box of the Description of Property (Swelcome->Swelcome->Description of property on PC, File->File->Description of Property on Pocket PC); Consumption and GHG emission.

Then click the [image] button and choose the position of your thumbnail.


Measuring components with the Tripod

For some types of assignment, you will need to record building components such as WCs, light fittings, etc.

The ExpertCAD solution includes libraries of standard and customisable symbols that you can insert directly from the Tripod.

Selecting the Inspection->Lib->WC function, for example, provides access to a whole range of WC and washroom components.

Reference points are available using left arrow or right arrow keys.

The reference points allow easier insertion in some situations, especially in the corners.

When you have selected the desired component, select the [Auto] option which inserts the component with a single point along the walls at the reference point or [2 Points] option to insert it using two points (to scale the component width) or [3 Points] (to scale both the width and depth).

The "Interior snap" default option is used to force the attachment of a component within a closed outline even by selecting the insertion point slightly outside the contour.


Import a project from the Pocket PC to the PC

• Connect the Pocket PC or tablet to your PC via its support or USB cable,

• Start ExpertCAD,

• Use Import Pocket PC< from main menu,/p>

• Select the file(s) to be imported. The data are then retrieved by the software that transfers them directly into the project directory (by default C:\ExpertCAD\Projects).

• Open the project.


Drawing automatic production assistant

To increase productivity in the production of drawings, ExpertCAD offers a production assistant [image] that links the different stages from the assembly 1 to the generation of drawings and the creation of the IFC file.

NOTE: Assembly 1 being the an assembly at a given "t" time, it is advisable to check that all room files are complete and accurate files before starting to work in the project (Areas, ECD,...). Once the room files corrected, the existing assembly must be removed using the delete function [image] and the option [ALL 2D-3D].

The steps are tailored to your needs depending on the ExpertCAD version you have. The user can also :

· skip a step by clicking the "Next" button,

· back by clicking the "Previous" button,

· or perform intermediate operations by selecting "do".

At the end of each stage, a message indicates the successful completion.

This wizard automates many functions and does not handle individual cases.
It is therefore possible to use only a few steps make the rest of the drawing with other functions.

· Diagnostician version

Floor choice :
Choose the floor to process. Current floor by default.

Rooms diagnosis :
Check that rooms outlines do not have "double points" (double points measured with the ExpertCAD).
If the diagnosis function finds double points, a window will ask you to accept the automatic correction. In this case click on "Fix" otherwise click on "Next".

Assembly :
Assemble the rooms by matching doors, windows and common reference points between them.

Drawing orientation :
This step allows to
• select an edge of an element to orientate horizontally or vertically (option) the assembly of rooms.
• move the assembly to match it with another floor.

Rooms modification :
Modify all walls and partitions to match reference directions (0°, 10°, 20°, etc...) and especially horizontal and vertical.
Attention this function does modify the rooms outline as it was surveyed. Use is restricted to no precise drawings such as description floor plans.

Compensation :
Improve rooms assembly by minimizing the thickness and parallelism of walls with common openings and using the reference points.
The rooms outlines (shape - dimensions) are not modified.

Walls alignment :
Get the sides of several rooms to be parallel and aligned.
The goal is to achieve alignment of rooms on exterior walls.

Floor drawing process :
Get the final drawing in 2D or 2D1/2.
Provide
• The default thickness of the external walls
• The height of elevation of 2D1/2

Components :
This function opens a dialog box that contains all the symbols of the current library.
Select a symbol to insert the drawing. There are three ways to insert.
• Auto, the symbol is aligned with a wall and retains its original dimensions,
• Manual, click an insertion point and a point of orientation,
• Stretching, scaling width and depth by two or three points. Points 1 and 2 are always measured side wall.

Property description :
This function allows you to create a view of the floor, of the perspective and of the areas tablet. These views are stored in the project, allowing the Swelcome server to produce the property description.

· Architect version

Floor choice :
Choose the floor to process. Current floor by default.

Rooms diagnosis :
Check that rooms outlines do not have "double points" (double points measured with the ExpertCAD).
If the diagnosis function finds double points, a window will ask you to accept the automatic correction. In this case click on "Fix" otherwise click on "Next".

Assembly :
Assemble the rooms by matching doors, windows and common reference points between them.

Drawing orientation :
This step allows to
• select an edge of an element to orientate horizontally or vertically (option) the assembly of rooms.
• move the assembly to match it with another floor.

Walls orientation :
Process the best floor orientation along chosen directions.

Compensation - Walls alignment :
Improve rooms assembly by minimizing the thickness and parallelism of walls with common openings and parallelism of all other walls.
The rooms outlines (shape - dimensions) are not modified.
Get the walls sides to be parallel within a tolerance by modifying rooms geometry.

Building outline :
• Inform the default thickness of exterior walls and confirm with Enter.
• Select the rooms to be assembled using the "all" option (or use selection tools "all rooms" option, then confirm the selection).
• Designate the building outline if it has been measured, otherwise select exterior automatic option.
The building outline is generated.

IFC BIM file generation :
Export project to BIM using IFC format. See How to export to IFC.

· Surveyor version

Floor choice :
Choose the floor to process. Current floor by default.

Rooms diagnosis :
Check that rooms outlines do not have "double points" (double points measured with the ExpertCAD).
If the diagnosis function finds double points, a window will ask you to accept the automatic correction. In this case click on "Fix" otherwise click on "Next".

Assembly :
Assemble the rooms by matching doors, windows and common reference points between them.

Drawing orientation :
This step allows to
• select a adge of an element to orientate horizontally or vertically (option) the assembly of rooms.
• move the assembly to match it with another floor.

Compensation :
Compensation is a process that optimizes the rooms assembly by minimizing wall thicknesses and partitions parallelism errors obtained on the drawing. The rooms outlines (shape - dimensions) are not modified.
If reference points were measured, ExpertCAD offers a weighting between the openings and the reference points. The measurements were made with the same device (the Tripod) so the relative quality of the measurements is the same, only the environment (the geometry of the building) has an impact on the quality of measurements, then only the user can quantify this information.
For weighting, a ratio of 1 assigns the same importance to openings and reference points while a value of 20 minimizes the impact of openings.

Walls orientation :
Process the best floor orientation along chosen directions.

Thickness - Walls alignment :
Get the walls sides to be parallel within a tolerance by modifying rooms geometry.

Building outline :
• Inform the default thickness of exterior walls and confirm with Enter.
• Select the rooms to be assembled using the "all" option (or use selection tools "all rooms" option, then confirm the selection).
• Designate the building outline if it has been measured, otherwise select exterior automatic option.
The building outline is generated.

Floor drawing process :
Get the final drawing in 2D, 2D1/2 or 3D.
Provide
• The default thickness of the external walls
• The height of elevation of 2D1/2

Components :
This function opens a dialog box that contains all the symbols of the current library.
Select a symbol to insert the drawing. There are three ways to insert.
• Auto, the symbol is aligned with a wall and retains its original dimensions,
• Manual, click an insertion point and a point of orientation,
• Stretching, scaling width and depth by two or three points. Points 1 and 2 are always measured side wall.


Room assembly

When you have completed your assignment in each room, ExpertCAD can assemble the rooms that make up the project. This operation can be performed either in the field (enabling you to check your measurements) or on your desktop computer back at the office.

If certain rooms are already present in the project, the assembly procedure will only apply to the additional rooms. You can therefore use this function systematically as you survey each room in the building.

ExpertCAD's standard assembly algorithm matches up the doors and windows that open onto adjacent rooms. Where two adjacent rooms share multiple openings, ExpertCAD performs an optimisation calculation when assembling the rooms.

If a highly accurate result is required, the room assembly technique can be enhanced as follows:

· By measuring reference points in several rooms (at least 2 points per room) using a total station and a traversing method. In order to measure the corresponding rooms, you must readjust the Tripod relative to the reference points already recorded before you measure the room.

· By also measuring the exterior frontages and openings in order to accurately position certain rooms that open onto the frontages. Ideally, a total station should also be used for this procedure.

· By measuring reference points between rooms (minimum of 2 points minimum by room if the rooms don't share an opening, one point otherwise).

ExpertCAD then assembles the various elements in the following order:

· Insert the exterior outlines,

· Insert rooms linked to other rooms from already assembled floors,

· Insert the rooms containing reference points,

· Insert the rooms containing room marks,

· Assemble the other rooms using the aforementioned opening-matching method. The algorithm also performs an optimisation routine at each stage if two rooms are connected by multiple openings.

This method ensures a high level of accuracy throughout the project.

1) Assembly on a Pocket PC

To assemble the rooms, return to the Project file by double-clicking on the project name in the Room Tree [image]. Then open the Drawing menu and select the Drawing->Tools->Assembly 1 function. (In Tree View mode, it is also possible to select Assembly in the Floor menu or the contextual menu when you have selected the floor that you want to assemble).

To obtain a drawing of a floor of the building, select the Drawing->Tools->Assembly 2 function, which generates a plan showing the wall thicknesses and symbols representing the openings.

2) Assembly on a PC

In the left pane of the project view, right-click to open the contextual menu, select the floor that you want to assemble and then select Assembly.

ExpertCAD retrieves the drawings of the measured rooms into the current folder.

To obtain a drawing detailing the wall thicknesses and openings, re-enable the Drawing toolkits by clicking the Drawing tool [image] and follow the same procedure is if you were not using the Tripod.

NB: If you have measured several outlines in a particular room (e.g. if the room contains one or more islands), the internal outlines (islands) MUST be correctly oriented. To ensure that this is the case, use the Drawing -> Modify -> Invert function, and then select Area -> A ->A - to update the surface areas.

NOTE: Rooms with only one reference point are assembled in order to match the reference point in position. The orientation is then based on the opening.


Assembly compensation

Compensation is an operation that optimises the room assembly result obtained during the previous stage, by minimising any errors relating to wall thicknesses and/or the parallelism of the dividing walls shown on the drawing. The geometry (i.e. shape and dimensions) of the rooms is not altered.

Simply select the Compensation

or Compensation with Constraints [image] function.

NOTE: Any rooms measured directly in the project file (using a Total Station) and any rooms that contain reference points are considered to be fixed (for high accuracy) and are there unaffected by the compensation process.

When the compensation function is run, elements measured in rooms are subjected to the same translations and rotations as the room outlines.

The optimisation criterion is the quadratic sum of any positioning errors between openings and any angles of non-parallelism of the rooms measured at the openings, weighted by the half-length of the wall containing the opening.

It is possible to refine the end result by including an analysis of the building's structure, structural cross-walls, frontages, etc. You can limit the compensation function by "blocking" the position, rotation or alignment of rooms with the aid of the following functions

In the example below, we can use the Align [image] function to align the rooms with the central cross-wall to obtain the result shown in the picture on the right.

If the alignment of the rooms with the cross-wall is blocked using the [image] function, the compensation algorithm will not alter the alignment of these rooms. This gives the following result:

The position [image] constraint lets you block a room's position and orientation. This function is mainly used to align two rooms on different floors.

You can use these functions to correctly align the various floors in a building.

NOTE: These compensation functions are not available for the Pocket PC.

NB: Only compensation with blocking constraints [image] is available in the ExpertCAD version.

If reference points were measured, ExpertCAD offers a weighting between the openings and the reference points. The measurements were made with the same device (the Tripod) the relative quality of the measurements is the same and only the environment (the geometry of the building) has an impact on the quality of measurements; only the user can quantify this information.

Walls with openings and parallelism of the walls

The assembly is optimized by minimizing the thickness and the parallelism errors of walls with an opening and the parallelism errors of all other walls. Walls without opening are taken into account only if their length is greater than 0.8 m.

All walls

The assembly is optimized by minimizing the thickness and the parallelism errors of all walls. Walls without opening are taken into account only if their length is greater than 0.8 m.

The opened exterior outlines are taken into account if their length is greater than 4 m.

View:

Thickness tolerance : maximum modification permitted on wall thicknesses

Wall (ok) : display colour of the walls which thickness in the list

Wall (tol) : display colour of the walls which thickness in the list within the tolerance

Wall (out of tol) : display colour of the walls which thickness is outside the tolerance

Walls thickness:

Thickness : list of wall thicknesses

Re-initialize : reset the list of the thicknesses of walls from the information contained in the openings

Load : load the thicknesses of walls from the information contained in another project file

You can delete a thickness by clicking on its number to select it and then using the "Delete" key. You can also add a thickness by clicking the box "Add" and entering the desired value. The process is the same to modify an existing value. Just click on the box for the value to change and enter the new value.

Weighting: the higher the coefficient, the higher the criterion will considered

Openings : weight coefficient on the openings

Walls without openings : weight coefficient on the walls without opening

rooms reference points : weight coefficient on the reference points

NOTE: The weighting parameter is the ratio between the overlay error of the reference points and alignment errors between the openings. Thus a ratio of 1 assigns the same importance openings and reference points,

while a value of 20 minimizes the impact of openings


Aligning partitions and wall thicknesses

This function [image] allows you to make parallel walls sides and align wall thicknesses according to data by changing the outlines of the rooms in a tolerance not to exceed.
Before you can use the function [image] that rotates the whole floor by defining the best direction depending on preferred directions. Changes on the outlines are thus minimized.

The axes of the walls as well as their thickness and orientations relative to the x axis are displayed in 3 colours according to :

· thickness or orientation available in the list (or fixed thickness),

· thickness or orientation available in the list within the max tolerance,

· out of tolerance.

If the tab "Thickness" is selected, the colours correspond to the thickness. In the case of the "Orientation" tab, they correspond to directions.

Opened exterior outlines are taken into account in research axes walls if they have an opening or have a length greater than 4 m.

Various functions are available to modify the parallelism of the sides or the thicknesses automatically (update all) or manually. The walls can be changed one by one (or more with the selection tools) or by "strip". A "strip" is defined by several contiguous walls aligned in the same orientation. A wall is selected by clicking on its axis. If several thicknesses are available, the wall thickness align its nearest.

Step 1 : parameters definition

Displacement: maximum allowable displacement of the vertices of outlines of rooms

Wall (ok) : display colour of the walls which is the exact thickness in the list

Wall (tol) : display colour of the walls having a thickness within the tolerance

Wall (out of) : display colour of the walls out of tolerance

Step 2 : thicknesses and orientations definition:

Thickness: list of thicknesses / orientations walls

Reset: Resets the list of thicknesses / orientations of walls from the information contained in the openings

Load: load thicknesses / orientation of the walls from the information contained in another project file

You can delete a thickness / orientation by clicking on its number to select it and then using the "Delete" button. Also you can add thickness / orientation by clicking on the "Add" box and entering the desired value. The process is the same to modify an existing value. Just click on the box for the value to change and enter the new value.

Etape 3 : modifications:

Modify thicknesses and orientations : choose properties to change

Modify exterior wall : keep the exterior outline invariant (or not)

Modify one or several walls : modify the selected walls within the tolerance

Modify one "strip" of walls : modify the walls by referring to the selected axis within the tolerance

Update all: changes all the walls from the parameters defined within the tolerance


Modifying the shape of a room

The assembly procedure generates the geometry of the property's rooms as they were measured. After compensation, any remaining defects can be attributed to measurement inaccuracies or errors. It is therefore possible to rectify such defects using the room geometry editing functions.

You can use:

· Drawing->Tools->Modify Partitions [image] to make the partition walls between a selection of rooms with shared openings run parallel.

· Drawing->Tools->Perpendicular [image] to make all walls and partitions run in specified directions (0°, 10°, 20°, etc...) and in particular to straighten them horizontally and vertically.

NOTE: Before straightening dividing walls, remember to orient the plan horizontally or vertically.

· Drawing->Tools->Make Parallel [image] to make the sides of a partition wall run parallel and specify its thickness. The orientation adopted by ExpertCAD is the calculated average of the orientations of each side, weighted by the lengths of the sides.

· Drawing->Tools->Align+Parallel [image] to align the sides of multiple rooms and make them parallel.

· Drawing->Modify->Parallel Side [image] to make one wall parallel with another.


Producing the plan

The second stage in the assembly process involves producing a plan of the building floor based on the results of the first stage of the assembly procedure and, where applicable, any alterations to rooms.

Before you produce the plan, it is a good idea to check whether the room outlines contain any "duplicated points" (duplicate points measured with the Tripod) and check that rooms do not overlap.

You can do this using the Diagnostics [image] and [image] functions.

If the room diagnostics function identifies any duplicate points, a window opens, prompting you to authorise their automatic correction, in which case you should click Correct; otherwise click Continue.

The room overlap detection function simply indicates which rooms overlap in the Message bar. You must then solve the problem by moving or modifying the outlines of the affected rooms, or changing the thickness of the partition walls.


Generating the area table

Once the surfaces are measured you can generate an area table in the current drawing and in Microsoft Excel.

Use the function [image] to generate the area table. The values of areas displayed are computed using certified & non-certified area.

Example 1: Table by floor

Example 2: Table by lot

NOTE: The non-certified areas appear below the line Total of each floor.

NOTE: The area table can be generated for the current floor, all floors, one lot and all lots.


Producing perspective views

For some types of assignment, such as "Property Descriptions", an axonometric perspective view must be generated.

At the Assembly 2 stage ( [image] (PC) or Drawing->tools->Assembly->Assembly 2 (Pocket PC)), select the 2.5D option and enter the current floor's maximum headroom. The software will generate a perspective view of the building with a constant storey height.

If the floor has sloping ceilings, remember to measure the points on the slopes in 3D (Tripod->Measurement->Point) while surveying the rooms, to enable the correct wall heights to be generated at this stage. These points will be retrieved in 3D at the Assembly 1 stage.

These points will allow you to use the Sloping Ceiling function [image] to generate the appropriate wall heights.

Repeat the procedure for each roof slope.

It is also possible to generate a rendered 3D view, by selecting the Window->OpenGL menu option.


Producing frontage views

If you have carried out a frontage survey, you will have already obtained a drawing of the building's frontage.

If not, to produce the frontage drawings you must select the 3D option at the Assembly 2 stage.

It is obviously preferable to have physically measured up the exterior of the building rather than leaving ExpertCAD to automatically generate its outline.

NOTE: If you do not intend to produce any cross-sections, there is no need to have modelled the rooms in 3D.

To obtain a drawing of the frontage, use the view orientation [image] function to orient the 3D view, then eliminate the hidden parts [image] and use the File->3D Projection function to generate a projection of the view in an e2d file. You can then modify and enhance the drawing thus obtained.


Producing sections

Before you can produce frontages, you must select the 3D option at the Assembly 2 stage and model the interior rooms in 3D.

There are two ways to produce a section :

• using function [image] available in 2D from menu Drawing->Drawing production

A vertical section is automatically generated from a straight line or polygon.

You can then choose to keep only the section or define the position of the viewer. The result of the projection in the plane of section is automatically saved to the specified file.

• or directly from the 3D view

Producing a section is two-step process:

1) Generate a section,

2) Create a 3D section of the building, to show what is behind the section plane.

Begin by drawing a rectangular plane along which the section is to be made.

Create a prism Drawing->Prism->Create from this polygon, setting a height (15) and a base position (-2) great enough to fully include the part of the building that you intend to remove.

1) Generate a section: Use the Section [image] function, declaring a point in the section plane as point 1 and a point on the normal to the section plane as point 2; select all the visible elements except the blue prism.

2) Create the 3D Section of the building: Select the Drawing->3DShape->Operations function, followed by the [Subtract] option and subtract the blue prism from all the visible elements (except the prism itself...).

To obtain a drawing of the frontage, use the view orientation tool [image] to orient the 3D view, then eliminate the hidden parts [image] and use the File->3D Projection to generate a projection of the view in an e2d file. You can then modify and enhance the drawing thus obtained.

NOTE: When you create a building section, it is preferable to generate the 3D view of the building with the doors closed (rather than ajar at the default 30° setting). This can be achieved by using the application's setup interface to change the default setting (from 30° to 0° opening).


Separating structural walls from partition walls

If you want structural walls and non-structural partition walls to be represented differently, as in the example below, you can use the Separate Structural and Partition Walls [image] function, after Assembly 2, to separate any intersections between a partition and a structural wall.

Begin by selecting a point on the structural wall near the join (1), and then one on the other side of the partition (2).

NOTE: The software projects the first point (p1) perpendicularly onto the partition, as shown in the diagram above.


Representing balconies

When you measure a balcony, remember to declare its area as an auxiliary area using the [image] tool.

After the Assembly 1 procedure, you will obtain a representation as shown below:

Remember not to select the "room" that represents the balcony (in this case "Patio") when preparing the Assembly 2 plan, in order to obtain a correct 3D representation when the walls are generated.

The next step is to create the balcony slab using the Drawing->Prism->Create function [image] specifying the outline of the Patio room, setting a thickness of 0.15 (for example) and a base height of -0.15 if the top of the slab is to be level with the floors of the other rooms.

Lastly, to generate the balustrade, you must begin by creating the curve that defines the balustrade outline (using Split Curve [image] ) or else draw a multi-line element based on the blue curve :

and then use the 3D Balustrade function.

If the balustrade is in fact a wall, you must create a prism based on the wall outline. Use Drawing->Curve->Parallel to create a parallel, and then add lines linking the two curves before closing the curve with Drawing->Curve->Auto.

Then use Drawing->Prism->Create.


Automatic Drawing Setup tools

AutoSetup is a very powerful tool. It straightens your sketches, creates dimension notes, links touching elements and tidies up your drawing.

NB: In the above example, if you do not select both elements in the drawing when you run Setup, they will be configured separately. Accordingly, the rectangle on the left may not necessarily be "bound" to the other outline.

Automatic parameterization of an outline (add constraints)

Delete a constraint

Modify a constraint

Solve the drawing with constraints

You can subsequently modify dimensions, angles and other constraints directly.


Dimensions

For users conducting surveys for architects (ExpertCAD Archi and Ge), dimensioning functions are available from Measures tab [image].

Types of dimensions that you can create are: :

Once created, you can change any of measurement points, the position of dimension text and the orientation.

It is also possible to deport a dimension [image].

Finally, to change the character height of a dimension, use the context menu by designating the dimension to modify or use the same method than to change the height of the text characters.

NOTE: Dimensions attributes, projection line, font, etc ... can be set in the configuration file or in the dimension setup dialog.

NOTE: Creation and modification of linear dimensions is available on Pocket PC using the functions Drawing->Create->Dimension and Drawing->Mod->Dimension

Simple dimension available with

[Point]

[Automatic]

[Outlines]


Create multiline text

ExpertCAD allows you to insert text via the function Drawing->Create->Text.

This function allows you to insert :
• plain text,
• text on multiple lines,
• text with a frame,
• an annotation, ie a text in a box with an arrow.

The context menu allows you to modify and format the text easily:

It can include:

• add or remove a frame,
• add, move, delete, arrows,
• change the size, font, alignment, orientation and colour of the text.

It allows among others to obtain:

NOTE: The context menu allows you to move an arrow if necessary.

NOTE: The rotation of the multiline text is done in one single operation using the context menu function modify->orientation.

NOTE: The function Drawing->Text->Burst Text converts a multiline text in several signle line texts.


Hashing

By using the function Drawing->Tools->Hash on Pocket PC or [image] on PC you have the opportunity to hash :
- a polygon by simply clicking inside it,
- a polygon by clicking on its outline with the option [Outlines],
- a lot by clicking inside a room of the lot with the option [Lot].

· Hashing example

A table of description of lot hashing can be generated using [Description of lot hashing] option.


Quantity surveying with the Tripod

We have described how the Tripod can be used to perform a measured survey of a building. In this section, we focus on quantity surveying.

ExpertCAD is able to calculate lengths, surface areas, volumes and simple quantities based on 2D or 3D geometric elements.

The procedure for producing a bill of quantities with the Tripod is described below:

· Use the Tripod to measure the elements that will form the basis on which ExpertCAD can calculate the quantities,

· Assign article codes (e.g. linear, area, volume or number) to these elements, where appropriate indicating the part of the property concerned by the bill of quantities,

· Generate the quantity file, allowing it to be imported into Microsoft Excel® if necessary.

To make the procedure as simple as possible, ExpertCAD calculates some quantitative data automatically, based on the measured elements. These automatic calculations notably include the standard lengths, areas and volumes of the rooms in the building. This information provides many of the quantities that are required, for example, when producing cost estimates.

You can also manually assign article codes to elements (known as "properties with data fields" in ExpertCAD) however you see fit. ExpertCAD will assign a representative length, area or volume value to the corresponding fields.


Automatic bills of quantities

ExpertCAD is able to automatically generate a bill of quantities based on a room's measurements.

This bill of quantities can be calculated in 2D if the room is a uniform height (flat ceiling), in which case, you will be prompted to enter the headroom.

Otherwise, ExpertCAD will be able to generate the bill of quantities once the ceiling(s) has(have) been measured.

The following quantified data is used:

· The floor area of the room. If any pillars have been measured, their floor area is deducted from the total area.

These quantities are associated with the room in the autoquantity property and the floor field.

· The gross wall area. If any pillars have been measured, their area is added to the total area.

These quantities are associated with the room in the autoquantity property and the wall field.

· The surface area of any doors and windows in the room. This data is required in order to calculate the net wall area.

These quantities are associated with the room in the autoquantity property and the surfacedoor and surfacewindow fields.

· The ceiling area of the room. If any pillars have been measured, their ceiling area is deducted from the total area.

These quantities are associated with the room in the autoquantity property and the ceiling field.

· The perimeter of the room. If any pillars have been measured, their perimeters are also included.

These quantities are associated with the room in the autoquantity property and the perimeter field.

· The floor perimeter of the doors in the room.

These quantities are associated with the room in the autoquantity property and the perimeterdoor field.

· The perimeter of any window sills in the room.

These quantities are associated with the room in the autoquantity property and the perimeterwindow field.

· The perimeter of any window surrounds in the room. (With doors, the threshold is not included.)

These quantities are associated with the room in the autoquantity property and the lengthopening field.

NOTE : Automatic bills of quantities calculated on 3D are used primarily on those calculated on 2D.


Manual bills of quantities

Because automatically-generated bills of quantities cannot cover every conceivable situation, ExpertCAD lets you associate an article code with an element of any kind; this code is a property with a length, area, volume or number data field.

Codes are associated with elements using the [image] function in the Inspection menu.

Simply double-click on the desired fields and then select the elements with which they are to be associated.

When linking fields with elements, it is possible to specify:

· Automatic quantity calculation. ExpertCAD will calculate the correct value based on the dimensions of the element, and that value will be modified automatically if the element's dimensions are changed,

· Manual quantity calculation, involving the addition and/or subtraction of several measurements. In this case, the calculated value is shown in the Message bar at each stage of the process.

With Area fields, you can select faces of 3D elements by selecting two of the element's edges in turn, as shown in the example below.

These quantities are associated with elements in the quantity property, with the field name being the number of the selected article.

A number of functions let you list or delete quantities associated with elements.

NOTE: You can change the data fields proposed by default by editing the file quantity.txt. For example :

V

{

"ACROTERE B.A."

"AGGLOS PLEINS EP.15CM"

...

}

S

{

"+ PREDALLE EP. 20 CM"

"+ PREDALLE EP. 25 CM"

...

}

L

{

"10 PAIRES"

"112 PAIRES"

...

}

I

{

}

where V corresponds to volume properties, S corresponds to surface properties, L corresponds to linear properties, I corresponds to unity type properties.

For information on customising the definition of the Article Base, refer to the Custom Article Base page.


Listing and deleting quantities

To list the quantities associated with an element, use the Inspection->List function in the Inspection menu.

To delete a property, use the Inspection->Delete function in the Inspection menu.

You will then be able to:

· Delete all the properties associated with an element

· Select a single property to delete

· Delete all quantity and autoquantity quantified properties for all elements on the current floor.


Custom Article Base

ExpertCAD can be customised to support a database of customised quantity surveying articles.

This Article Base is stored in a file named "base.txt" in the ExpertCAD install directory. It uses the following syntax :

articlecode       articlename   unit

Where:

· article code is an integer (generally 2 digits representing the batch number followed by 2 digits for the article number and 3 digits for the sub-article),

· article name is a character string containing no spaces,

· unit is selected from ML M2 M3 or DI (for Length, Area, Volume or Number),

· the separator must be a tab.

For example, the following base contains the articles from the "autoquantity" feature, together with customised paint, skirting board and carpet articles.

NOTE: articlecode will be the name of the quantity property field associated with the quantified elements.


Generating bills of quantities

To generate bills of quantities, select the [image] function in the system bar.

Three export options are available: Git, Excel, and Standard.

Standard

Four options are available to select the contents of the export:

- Current floor, to export the current floor,
- All floors, to export all the floors,
- Lot, to export one lot,
- All lots, to export all the lots.

ExpertCAD generate a text file that can be easily used in Excel.

. copy and rename the Excel file C:\ExpertCAD\export\surface.xls with the same name as the text file generated,
. open the Excel file and allow macros to run,
. select the Bill of quantities tab and click on the Measurix icon. The procedure then asks you to select the file generated by ExpertCAD,
. table is automatically generated.

Excel

ExpertCAD stores quantities relating to the current project in the quantities list (arranged floor by floor and room by room), using the following syntax:

FLOOR   floorname1

ROOM    roomname1

articlecode       articlename   quantity unit

...

ROOM    roomnameN

articlecode       articlename   quantity unit

...

FLOOR   floorname2

...

A sample bill of quantities is shown below:

To import quantities into Microsoft Excel™, select the Data->External Data->Import Data function. In the dialogue box, set the File Type to "All" option and then select the quantity file generated by ExpertCAD.

Then follow the onscreen instructions:

Source Data Type: "Separated Values"

Separators: "Tab"

Data format: "Standard" column

NOTE: Articles are arranged according to their article code.

NOTE: Quantities of identical articles in the same room are added together.

Git

ExpertCAD can export the Git format for use in the specific software that supports this format.


Positioning / Projector

Tripod->Init->Positioning, 3D->Tripod->Init->Positioning 3D, Tripod->Init->Projector et 3D->Tripod->Init->Projector 3D functions allow to materialize a point of the existing plan by successive approximations.

· Positioning - Positioning 3D

A target is guided until it moves to the point to materialize. Tripod angles are taken continuously; a laser distance measure is taken every 5 seconds to indicate the position. The user can at any time take a laser distance measure.

· Projector - Projector 3D

The function guides the Tripod so that the laser passes through the point to be projected. Every movement, indications appear indicating the current position in relation to the point to be projected.


Configuration files

A number of operating parameters are stored in a configuration file named ExpertCAD.cfg, which is located in the C:\ExpertCAD\bin directory (ExpertCAD.txt in /My PocketPC/Program Files/ExpertCAD on a Pocket PC).

Some parameters can be modified directly in ExpertCAD's configuration screens (by clicking '?' followed by 'Software Setup') File->?->Software Setup on a Pocket PC.

However, it is also possible to edit the file by opening it in the WordPad application (Start/All Programs/Accessories/WordPad) and making the necessary changes.

Laser meter:

• Communication port for the Bosch DLE 150 Connect

DLE_PORT_COM    5

As the Bluetooth link generally uses virtual serial port 5, you should set this parameter accordingly.

• Bluetooth address of the Bosch DLE 150 Connect laser meter

DLE_BT_ADDR    00 0C D3 00 10 09

• Communication port for the LEICA DISTO A6

DISTOA6_PORT_COM    6

As the Bluetooth link generally uses virtual serial port 6, you should set this parameter accordingly.

• Bluetooth address of the LEICA DISTO A6 laser meter

DISTOA6_BT_ADDR    00 0C D3 00 10 09

• Communication port for the LEICA DISTO D8

DISTOD8_PORT_COM    6

As the Bluetooth link generally uses virtual serial port 6, you should set this parameter accordingly.

• Bluetooth address of the LEICA DISTO D8 laser meter

DISTOD8_BT_ADDR    00 0C D3 00 10 09

• Communication port for the LEICA DISTO D3

DISTOD3_PORT_COM    6

As the Bluetooth link generally uses virtual serial port 6, you should set this parameter accordingly.

• Bluetooth address of the LEICA DISTO D3 laser meter

DISTOD3_BT_ADDR    00 0C D3 00 10 09

Enter the address of the laser meter that you want to connect by default.

• Communication port for the Hilti PD 38

HILTIPD38_PORT_COM    8

As the Bluetooth link generally uses virtual serial port 8, you should set this parameter accordingly.

• Bluetooth address of the Hilti PD 38 laser meter

HILTIPD38_BT_ADDR    00 0C D3 00 10 09

Enter the address of the laser meter that you want to connect by default.

• Communication port for the LEICA DISTO Pro

DISTO_PORT_COM    1

By default, your LEICA DISTO Pro laser meter is connected to COM port 1. If this is not the case, reconfigure this setting with the appropriate port number.

• Communication port for the LEICA DISTO Plus

DISTOPLUS_PORT_COM    4

As the Bluetooth link generally uses virtual serial port 4, you should set this parameter accordingly.

Tripod:

• Communication port for the Tripod

TRIPOD_PORT_COM    1

By default, your Tripod is connected to COM port 1. If this is not the case, reconfigure this setting with the appropriate port number.

• Type of laser meter mounted on the Tripod

TRIPOD_MODE    DLE

By default, the laser meter type is set to Bosch DLE 150 Connect

• Tripod laser meter management mode

TRIPOD_LASER_SAVE_MODE    1

By default, the laser in the laser meter is switched on before each measurement and switched off afterwards, to optimise the laser meter's battery life.

During the learning phase, it is preferable to set this value to 0 (no standby mode), in order to chack that measurements are made without the laser meter moving.

Total Station:

• LEICA

TOTALSTATION_MODE GEOCOM

• TRIMBLE

TOTALSTATION_MODE GEODIMETER

• TOPCON

TOTALSTATION_MODE TOPCON

• Communication port for the total station

TOTALSTATION_PORT_COM 1

• Total station communication speed

TOTALSTATION_BAUD 19200

Activation key server:

You can specify the key server in the configuration file, using the following syntax:

SENTINEL_SERVER="PC name"

where "PC name" contains the name of the PC in the network.

Library component and project storage directory (PC only):

FILE_PROJECTS="projects directory"

FILE_LIBRARIES="libraries directory"

EXPERT_S_PATH="export directory"

The second parameter is the network path leading to the directory.

Default setting:

FILE_PROJECTS="C:\ExpertCAD\projects"
FILE_LIBRARIES="C:\ExpertCAD\LIB"
EXPERT_S_PATH="C:\ExpertCAD\Export"

Autosave:

FILE_AUTOSAVE     1     10

By default, the autosave function is triggered every ten minutes.

To change the activation period replace the number 10.

To disable this function, replace 1 with 0.

To enable Autosave in silent mode (i.e. with no confirmation prompt) replace 1 with 2.

Autoupdate:

AUTOUPDATE="1"

By default, Autoupdate is enabled or disabled when the software is installed. If included in the terms of your licence, this function enables ExpertCAD to connect to the Measurix server, to check whether any software updates are available.

To disable this function, replace 1 with 0.

Libraries

• Optional "FONCIA" standard library

EXPERT_LIBRARY FONCIA

• Custom libraries

EXPERT_CUSTOM_LIBRARY "name" "directory"

where the name parameter is the name assigned to the library by the user,

and the directory parameter is the subdirectory in which components and openings are stored.

Default font

EXPERT_DEFAULT_FONT "name"

where the name parameter is the Truetype font used by the application when it is run.

Default text height

EXPERT_TEXT_HEIGHT      hauteur

Value is 0.2 by default

Excluded areas

EXPERT_AREA_INF value colour

where the first parameter is the height to deduct (e.g. 1.8) and the second is the related colour (e.g. 5)

The following colours are permitted:

Red | 4
Orange | 5
Yellow | 6
Green | 7
Purple | 9
Burnt orange | 10
Pink | 11
Gold | 12
Cyan | 13
Navy blue | 14
Magenta | 15

Area display text

EXPERT_SC_TEXT "text"

EXPERT_SHC_TEXT "text"

where the first parameter specifies the text displayed to the left of certified areas (by default "Certified area = ")

and the second parameter specifies the text shown to the left of non-certified areas (by default "Non-certified area = ").

Headroom display text

EXPERT_HSP_TEXT "text"

This parameter defines the text displayed to the left of the headroom; default setting: "HR".

Text gathering during assembly 1

EXPERT_GROUP_TEXT     0

To enable this function, replace 0 with 1.

Default number of rooms

The list of default room names is stored in a file named ExpertCADRooms.cfg, located in the

C:\ExpertCAD\bin directory (ExpertCADRooms.txt in the /My PocketPC/Program Files/ExpertCAD directory on a Pocket PC).

You can use a text editor to change the contents of this list.

Default number of floors

The list of default floor names is stored in a file named ExpertCADFloors.cfg, located in the

C:\ExpertCAD\bin directory (ExpertCADFloors.txt file in the /My PocketPC/Program Files/ExpertCAD directory on a Pocket PC).

You can use a text editor to change the contents of this list.

Similarly, you can configure a list of predefined text labels for height measurements in the ExpertCADHeight.cfg file located in the C:\ExpertCAD\bin directory (/My PocketPC/Program Files/ExpertCAD on a Pocket PC).

You can use a text editor to change the contents of this list.

Definition of the elevation angle for axonometric perspectives

EXPERT_ELEV_ANGLE ang

where the ang parameter is the angle of elevation (in degrees) used for axonometric perspectives.

Definition of the opening angle of doors and windows used when generating the 3D model

EXPERT_CLOSE_DOOR ang

where the ang indicates the opening angle of doors when generating the 3D model. This allows doors to be closed in order to produce sections through the building.

Enable EEA measurement mode for exterior openings

EXPERT_MODE_EEA value

where the value parameter can be set to '0' or '1' to enable or disable EEA mode. EEA Mode is used to acquire the necessary data for specifying doors and windows that open to the exterior.

Enable snap-to-grid (PC)

EXPERT_GRID value

where the value parameter can be set to '0' or '1' to determine whether the snap-to-grid function is enabled or disabled by default.

Colours

EXPERT_COLOUR number red green blue

where

number between 0 and 15 is the colour number in ExpertCAD (number 0 set the background colour)
red    between 0 and 255 corresponding to the red colour value
green  between 0 and 255 corresponding to the green colour value
blue   between 0 and 255 corresponding to the blue colour value

with the following default values :

EXPERT_COLOUR 0  255 255 255 [ background ]
EXPERT_COLOUR 1  0   0   0   [ black ]
EXPERT_COLOUR 2  255 255 255 [ white ]
EXPERT_COLOUR 3  160 160 160 [ grey ]
EXPERT_COLOUR 4  255 0   0   [ red ]
EXPERT_COLOUR 5  255 128 0   [ orange ]
EXPERT_COLOUR 6  255 255 0   [ yellow ]
EXPERT_COLOUR 7  0   255 0   [ green ]
EXPERT_COLOUR 8  0   64  255 [ blue ]
EXPERT_COLOUR 9  255 128 255 [ violet ]
EXPERT_COLOUR 10 255 0   128 [ orange red ]
EXPERT_COLOUR 11 255 128 128 [ pink ]
EXPERT_COLOUR 12 255 128 64  [ gold ]
EXPERT_COLOUR 13 0   255 255 [ cyan ]
EXPERT_COLOUR 14 128 128 255 [ navy ]
EXPERT_COLOUR 15 255 0   255 [ magenta ]

Automatically divide the floor into rooms

If double-clicking on the project name not automatically divides the floor into rooms the division function is disabled in the configuration file. For this function to be usable, the ExpertCAD configuration file must contain the following line:

EXPERT_MODE_GENERATE     1

Rooms reference points weighting of compensation

EXPERT_K_ROOMMARK     value

where the value parameter needs to be set between 1 and 20.

Walls colours and tolerance in compensation

EXPERT_WALL_COLOROK      colour1
EXPERT_WALL_COLORTOL     colour2
EXPERT_WALL_COLOROUT     colour3

where colour* parameter correspond to the number of the colour.

EXPERT_WALL_TOLMODIF      value

where value parameter is the maximum tolerance points displacement.

Input area at the bottom of the screen

EXPERT_MSG_BOTTOM     value

where value parameter can be set to '0' or '1' to display input are at the top or bottom of the screen.

Old user interface

EXPERT_INTERFACE     value

where value parameter can be set to '0', '1' or '2' depending on whether you want to have the new interface, the old interface or the simplified display for tablet pc.

Toolbars under ribbon

EXPERT_TOOLBAR     value

where value parameter can be set to '0' or '1' to display the toolbar above or under the ribbon.

3D with OpenGL

EXPERT_3D_OGL     value

where value parameter can be set to '0' or '1' to have the 3D view in normal mode or in OpenGL mode.

2D and 3D simultaneously

EXPERT_2D_3D     value

where value parameter can be set to '0' or '1' to enable or disable the simultaneous display of the 2D and 3D views.


Dimensions setup

The parameters of dimensions can be changed interactively using the function File->Setup->Dimensions. The changes are saved in the configuration file of the software.


Setting the colour palette

ExpertCAD allows you to configure the colours used in the software, especially if you want to produce documents with specific colours.

The default colour palette is as follows :

To change it use the function Setup->Colours to display the following dialog box:

NOTE: The Reset button resets the colours.


Setup graphics attributes for drawing production

This dialog box allows you to set the outline colour of the walls, their colour filling and their fill pattern (hatching). In addition, it sets the colour, size and type of the font used for the name of the rooms, the text areas and the area table. We can also define a new colour for the openings (after assembly). Note that the graphics attributes configuration is stored in the project.


Custom libraries

GExpertCAD supports the use of customised libraries of components and openings.

Custom openings and components can be created interactively in GExpertCAD and used during measured surveys.

While conducting your survey, you can use the File->Setup->Libraries->Opening Lib function to change the opening library.

Each library is stored in a subdirectory of the library component storage directory c:\ExpertCAD\bib (/My PocketPC/My Documents/LIB directory on a Pocket PC) and is referenced by a name defined in the configuration file, using the following syntax:

EXPERT_CUSTOM_LIBRARY "name" "directory"

where the name parameter is the name assigned to the library by the user,

and the directory parameter is the subdirectory in which components and openings are stored.

Custom components:

Components, which are stored in .e2d drawing files, are inserted at the origin, and their orientation is determined by orienting the Y-axis.

In automatic orientation mode, the Y-axis runs perpendicular to the wall, whereas in manual orientation mode, the direction defined by the first and second points input by the user sets the orientation of the Y-axis.

The list of components is defined in the file named ExpertCADLib.txt.

Example:

alarm.e2d
asp.e2d
dis.e2d
elecsock.e2d
exting.e2d
fan.e2d
fire.e2d
heatctrl.e2d
itsocket.e2d
neon008.e2d
neon025.e2d
pl.e2d
ss.e2d
switch.e2d
telsock.e2d
tvsock.e2d

Simplified custom openings:

Openings must be drawn in accordance with a set of precise rules that enable GExpertCAD to automatically modify their dimensions based on the width, height, sill/threshold, wall thickness and opening leaf position parameters measured by the user.

• 2D opening

The opening must be made with the following values: width = 1m, wall thickness = 0.20m, opening leaf = inward left side.

The origin is the centre of the opening, and the wall orientation is defined by the Y-axis.

NOTE: Double openings can be customised in exactly the same way. Their name MUST end with the letter d, e.g. wind.e2d

NOTE: You can use the simplified measurement of an opening with frame (cf. Simplified measurement of openings with frames) simply by copying an existing custom opening and renaming it, adding the prefix "fra" (e.g. win.e2d becomes frawin.e2d)

• 3D opening

A 3D opening must be made with the following values: width = 1 m, sill/threshold = 0, wall thickness = 0.20 m. The drawing must be oriented in the plane Z < 0.

The list of openings is defined in the file named ExpertCADOpeningLib.txt, using the following syntax:

"name" "file" door/window

where the name parameter is the name assigned to the opening by the user,

the file parameter is the name of the .e2d file representing the opening,

and door/window specifies whether the opening is a door or a window.

In the case of a door, the position of the opening leaf will need to be specified at the time of the survey.

Example:

"standard door" win.e2d door
"standard door with frame" frawin.e2d door
"standard double door" wind.e2d door
"standard double door with frame" frawind.e2d door
"passage" winv.e2d window


Detailed custom openings

If your property surveying data is to be included in an Asset Management system, the client generally stipulates that specific graphic representations must be used for opening blocks.

With ExpertCAD, you can create detailed definitions of openings; it is possible to divide an opening into one or more sub-elements, such as Joinery, Opening Leaf, Frame and Sill, which will then be sized appropriately.

You can define custom openings using this approach.

The list of openings is defined in the file named ExpertCADOpeningLib.txt, using the following syntax:

"name" "file" door/window

{

file1  FRAME

file2 OPENING LEAF

file3 SILL

}

where the name parameter is the name assigned to the opening by the user,

the file parameter is the name of the .e2d file representing the joinery used for the opening,

the door/window parameter specifies whether the opening is a door or a window.

the file1 parameter is the name of the .e2d file representing the frame used for the opening,

the file2 parameter is the name of the .e2d file representing the opening leaf used for the opening,

the file3 parameter is the name of the .e2d file representing the sill used for the opening,

Example:

"standard" win.e2d door

{

frame.e2d FRAME

leaf.e2d OPENING LEAF

sill.e2d SILL

}

The various elements are drawn for a 1 m wide opening in a 20 cm thick wall.

The frame is a left-hinged frame; the corresponding right frame is obtained by a symmetrical transformation.

Their positioning relative to the OXY frame of reference must be observed.


Interface with CAD software

As part of the use or the distribution of documents of surveyed buildings, users are asked to translate their data into an AutoCAD ™ compatible format. ExpertCAD allows you to import your 2D data and export your 2D and 3D data in this format by allowing a structuring :

• by layer based on the types of elements represented,

• blocks in particular for openings,

• according to particular graphics standards.

The available formats are configurable through the setup interface (Export DXF/DWG tab) or in the configuration file using the following syntax :

EXPERT_DWGOUT_MODE        <choice from DXF DXB DWG>

EXPERT_DWGOUT_VERSION     <choice from V12 V13 V14 2000 2004 2007 2010>

It is possible to configure :

· format and version of ACAD : the output format and the desired version,

· export openings as references : block management,

· export 3D as solid : export polyhedrons as solid or only their outlines,

· export properties : export properties flagged as "CharteDWG" or "Info3D".


Interface with COVADIS

ExpertCAD is able to prepare DWG files to facilitate the use of the COVADIS condominium module edited by GEOMEDIA.

A number of additional information are added to the files when assembling the rooms and producing the drawings :

· outlines of rooms with their name,

· areas and areas to be deducted,

· etc...


Layer management

You can configure the names of ExpertCAD's standard layers in the configuration file, using the following syntax:

EXPERT_DWGOUT_LAYER           <ExpertCAD layer number>    <AUTOCAD™ layer name>

Furthermore, it is possible to automatically structure measurement data by specialising the layers by element type:

• EXPERT_OPENING_LAYER: Opening layer (disabled by default in favour of the door and window layers)

• EXPERT_WALL_LAYER: Wall layer

• EXPERT_LIB_LAYER: Library component layer

• EXPERT_TEXT_LAYER: Text layer

• EXPERT_AREA_LAYER: Hashed area layer

• EXPERT_DIM_LAYER: Dimension layer

• EXPERT_DOOR_LAYER: Door layer

• EXPERT_WINDOW_LAYER: Window layer

Defining these parameters causes elements to be automatically distributed between the corresponding layers in the ExpertCAD database.

Syntax example:

EXPERT_OPENING_LAYER    <ExpertCAD layer number from 5 to 14>

These layers are in actual fact "sublayers" of the Drawing layer, and as such are managed in a totally user-transparent manner. The export names of these layers can be configured as described at the top of the page.

By selecting [Layer colour], it is possible to export with colour "layer" all the elements of the associated layer that does not contain graphics standards properties.

NOTE: For ease of use, it is possible to manage DWG export layers on the PC via ExpertCAD's setup screen.

NB: The following layer numbers are reserved by ExpertCAD:

Drawing 0

Inspection 1

Area 2

Draft 3

Constraints 4


Block management

Block management is enabled at the user's request, in the dialogue box that specifies the desired AutoCAD format.

When block management is enabled, library symbols and openings are exported as referenced blocks stored in the field.

The opening management feature makes it possible to describe an opening's representation very precisely, as is sometimes stipulated in specifications issued by large clients.

It is possible to divide an opening into one or more component elements, such as Joinery, Opening Leaf, Frame and Sill:

The libraries of openings supplied with ExpertCAD (with the exception of the "Foncia™" library) were built using this approach. Each component is then exported as an editable block with the correct dimensions.


Graphic charter

Graphics standards

It is possible to comply with graphics standards by specifying conversion parameters (input-outputs) for the graphical attributes of elements, such as their colour, line type, line width and font.

• Colour conversion performed when saving DXF files:

EXPERT_DXFOUT_COLOR col1 col2

where the col1 parameter is the colour number used in ExpertCAD,

and col2 is the number of the corresponding colour in AutoCAD™.

• Colour conversion syntax:

EXPERT_DWG_COLOR       <ExpertCAD colour number from 0 to 15> <R> <G> <B>

If a particular AutoCAD™ RGB colour does not exist in ExpertCAD, the most similar colour is used instead.

• Default font configuration syntax:

EXPERT_DWGOUT_DEFAULT_FONT <DWG font name>  <corresponding .TTF font file>

• Configuration syntax for line width conversions:

EXPERT_DWGOUT_LINEWIDTH <ExpertCAD width 1 2 or 3> <Corresponding DWG width 0 5 9 13 16 18 20 25 30 35 40 50 53 60 70 80  90 100 106 120 140 158 200 or 211>

• Configuration syntax for line type conversions:

EXPERT_DWGOUT_LINETYPE <ExpertCAD number from 0 to 4> <DWG line type name>

• Configuration syntax for DWG line type definitions:

EXPERT_DWGOUT_LINETYPE_DEF <DWG line type name> <DWG description text> <n> <l1> ... <ln>

Example definition for the "dashed" line type:

"DASHED"  "__ __ __ __ __ __ __ __ __ __ __ __ __ __ __"  2 0.5  -0.25


DWG Graphics Standards

Graphics standards allow the user to associate TRANSLATION CODE of graphical attributes to the measured elements to be used when exporting DXF / DWG. A configuration table defines the translation TRANSLATION CODE <-> ATTRIBUTES DXF / DWG.

It is possible to associate a CODE TRANSLATION an element (wall, text, door, etc..) using either :

· the context menu,

· [image] dialog,

Use the Inspection -> Inspection -> Graphics Standards function

· dynamic dialog that allows you to associate a TRANSLATION CODE directly to the last element created [image],

The configuration table is stored in the "charteDWG.txt" text file in the installation directory of ExpertCAD using the following syntax :

"<family name>" {

"<item code>" {

C : <R> <V>< B>

T : <name of the line type>

W : <DWG thickness>

H : <hatch type> <pattern name>

L : <destination layer>

}

"<another item code" {

A : <ACI colour number>

T : <name of the line type>

W : <DWG thickness>

H : <hatch type> <pattern name>

L : <destination layer>

}

}

"<another family name>" {

"<item code>" {

...

}

...

}

...

The configuration table is organized into families; each family is constituted by a set of codes. Each code is associated with a set of matching graphics attributes:

· a RGB or ACI colour and/or,

· a name of the line type and/or,

· a line thickness and/or,

· a hatch type and/or,

· a destination layer.

· RGB or ACI colour syntax

C : <R> <G> <B>

or

A : <ACI colour number>

· Name of the line type syntax

T : <DWG name of the line type from CONTINUOUS2, DASHED, DOT, CENTER, PHANTOM>

· Line thickness syntax

W : <DWG thickness between 0 5 9 13 16 18 20 25 30 35 40 50 53 60 70 80 90 100 106 120 140 158 200 211>

· Hatch type syntax

H : <Hatch type from 0, 1, 2 corresponding to UserDefined, PreDefined et CustomDefined> < hatch pattern among SOLID, DOTTED, HORIZONTAL, VERTICAL, LEFTDIAG, RIGHTDIAG, HORVERT, LEFTRIGHTDIAG>

By default the following combinations are available: 1 SOLID, 2 DOTTED, 2 HORIZONTAL, 2 VERTICAL, 2 LEFTDIAG, 2 RIGHTDIAG, 2 HORVERT et 2 LEFTRIGHTDIAG.

· Destination layer syntax

L : <destination layer>

EXAMPLE:

"BEAM" {
"Wood Beam" {
A : 1
T : CONTINUOUS2
W : 106
L : _BEAM
}
"Concrete Beam" {
A : 8
T : CACHE2
W : 50
L : _BEAM
}
"Lintel" {
A : 7
T : CONTINUOUS2
W : 50
L : _BEAM
}
"IPN" {
A : 2
T : CONTINUOUS2
W : 50
L : _BEAM
}
}
"STRUCTURE" {
"Wall" {
A : 5
T : CONTINUOUS2
W : 90
H : 2 LEFTRIGHTDIAG
L : _STRUCTURE
}
"Pillar" {
A : 256
T : DOT
W : 90
H : 1 SOLID
L : _STRUCTURE
}
}


Text data

The function allows you to associate TEXT DATA of qualification to the elements. For example, soil type, wall type, height, etc ... When export DXF / DWG, properties are transformed into ATTRIBUTE. A configuration table will define the translation TEXT DATA <-> ATTRIBUTE DXF / DWG.

It is possible to associate a TEXT DATA an element (wall, text, door, etc..) using either :

· [image] dialog,

Use the Inspection->Inspection->Properties function

Just choose the desired property and then inform the various fields.

The configuration table is stored in the "property.txt" text file in the installation directory of ExpertCAD using the following syntax :

propertyname {

integerattributename : I ;

doubleattributename : F ;

stringattributename : A ;

lengthattributename : L ;

areaattributename : S ;

volumeattributename : V ;

integerlistattributename : I {

1

2

3

4

} ;

stringlistattributename : A {

abc1

abc2

abc3

abc4

} ;

}

otherproperty {

length: L ;

area : S ;

}

where : propertyname and otherproperty is a string defining a property.

The attributes of a property are defined by several optional fields :

· I setting an attribute of type integer preceded by its name,

· F defining an attribute of type decimal number,

· A defining an attribute of type string,

· L defining an attribute of type length,

· S defining an attribute of type area,

· V defining an attribute of type volume,

· x { ... } defining an attribute of type list x (which may be I, F, A) comprising predefined values.


IFC export

ExpertCAD offers the ability to export drawings to IFC (according to the standard IFC 2x3 TC1) via the File->Export-> [image] IFC.
This function is only available if your ExpertCAD license has the IFC module.

In order to access the IFC service, it is necessary to fill the Measurix login. These are the same as for access to the client area. You can update from the function File->Setup->Software :

NB: The password must not contain the character '\'.

To create an IFC file, it is necessary for each floor to be exported that :

• assembly 1 has been made,

• exterior outline) has been created,

• compensation has been applied if necessary,

• altitudes up to date,

• assembly 2 has not been made.

Step 1

The project is sent to the server for analysis.

Step 2

You can choose the floors you want to export to IFC. For those whose rooms have not been measured in 3D you will be asked to set the ceiling height.

Step 3

Various options are available to achieve the best possible interpretation of the IFC file in your CAD software. You can choose from a predefined list of software or customize the options to suit your needs.

• Lier les ouvertures aux ouvrants::

The opening tracks changes associated wall if the option is enabled. If Revit crashes when importing IFC files this option must be disabled.

• Exporter les murs comme polygones:

Must be enabled if you want to import as is the walls with non-constant thickness or when the software does not bind the ends of walls between them. Some CAD software does not allow modification of polygonal walls.

• Extruder les murs:

The openings are normally removed from the walls directly in the CAD software. For software that does not support this feature (SketchUp) correctly this option does it directly in ExpertCAD and export walls as solid.

• Exporter les sols et plafonds comme dalles:

This option exports the floors and ceilings as IfcSlab instead of IfcCovering

• Exporter les pentes:

Enable or disable the export of ceiling's slopes.

• Ajouter les plafonds:

In the case of 3D parts, exports or not ceilings.

• Incrément d'extrusion:

Increment for openings extrusion so they pass completely through the wall.

• Exporter l'empreinte 2D (murs et ouvertures) :

Exports the definition line of walls and openings.

• Relation de connexions entre les murs :

Binds the ends of the walls between them.

Step 3

Step 4

The result is provided in the form of archive in zip format. You can save it to the location of your choice and then extract the IFC file.

NOTE: ExpertCAD uses the library IFC SDK : IFC2X3 C++ Early Classes - Copyright (C) 2009 Centre Scientifique et Technique du Bâtiment.


Chronological order of actions in an Area Certification assignment

· Create a project

· Enter the sketch diagram of the property

§ Draw a sketch of the property

§ Name the rooms

§ Create the walls

§ Insert the openings

· Divide the floor into separate rooms

· Certify the floor area

§ Adjust the room outline

§ Add any excluded and non-certified areas

§ Room setup

· Angle AutoSetup

· Manual setup

§ Obstructed corners

§ Make the measurements

· Record any problems, in the case of asbestos, accessible lead and parasite inspection assignments

§ Lead inspection

§ Asbestos inspection

§ Termite inspection

· Assemble the rooms

· Produce diagrams and drawings for the assignment report


Creating a project

• PC:

You can create either a project, a simple room or a Swelcome project./p>

• Pocket PC:

You can create a project, open an existing one or open the last opened.


Entering the sketch diagram of the property

To activate the appropriate tool palette, click on the Drawing tool [image] on a PC or open the Drawing menu on a Pocket PC.

By default, the elements that you create will be stored on the Drawing layer.


Drawing a sketch of the property

ExpertCAD will use this sketch to identify the various rooms in the surveyed building.

NOTE: This method is better than the approach consisting in drawing rooms independently and then assembling them. This is because you will only need to enter any shared walls or openings once! Concerning openings, there is no need to specify the name of the adjoining room or measure the exact position of the opening on the partition wall. Furthermore, you know in advance that the room assembly procedure will be conducted smoothly.

To produce the sketch, you need to use the drawing functions, and more specifically, the line, rectangle and polygon plotting functions.

· PC version | · Pocket PC version

The drawing only needs to be very approximate - you will be able to draw the room details more accurately when the building has been divided up into rooms.

There is no need for the lines to meet or join neatly, as ExpertCAD will analyse the sketch and automatically correct any drawing inaccuracies (the maximum permitted error tolerance is configurable - the default tolerance is 10 cm, meaning that two points less than 10 cm apart are deemed to meet).

NOTE: Elements must not be superimposed. If any lines are superimposed, ExpertCAD will display a warning message and stop processing the function.

NOTE: With effect from Version 1.5, it is possible to create partial dividing walls, as shown in the diagram below.


Naming rooms

When you name a room, a separate drawing file is created, in which you can carry out your area certification or inspection activities.

If Condominium parcelling option is enabled the dialog enables to select the lot then the room's name.

NOTE: Texts relating to rooms are created at the current height, as shown in the Status bar at the bottom right of the screen.

NOTE: The list of room names shown by default is configurable. Refer to the Software Setup topic.

NOTE: As the list of room names is configurable, the list of lots can be modified. Refer to the Software Setup topic.

NOTE: On Pocket PC, you can use the Tripod->Init->Room change function to change or create a room by clicking on an opening.

NB: Rooms without name won't appear in the tree structure of the project.


Creating walls

· PC version

· Pocket PC version

Create a wall

Insert an opening

Change the thickness of a wall

Move an opening

Delete a section of wall

Delete an opening

Representation mode

Convert a wall to a sketch

Hash a room

Add a chimney

Add an alcove

Add a shaft

Insert a truncated wall

Round

Assembly function

Use the Create Wall (PC) or Drawing->Create->Wall (Pocket PC) function and select the various elements for the floor sketch and the room drawings and texts.

NOTE: In most cases, you will be selecting everything, so you should remember to use Selection->Active

NOTE: All functions that modify a set of existing walls (to add or delete a section of wall) must be performed in the "Modification" representation mode, which is set using the Representation mode function.

NOTE: If you already have a set of walls on your drawing and you wish to add more, simply use the Create Wall function's [Add Elements] option.

NOTE: You can use the Delete Wall Section function on a PC to remove a section of wall from the building while retaining the deleted outline, which can subsequently be removed if required.

NB: The software will not create any walls if two rooms have the same name.

By default exterior walls are 0.20 m thick and non-structural walls are 0.10 m thick. You can use the Modify Wall Thickness (PC) Drawing->Modify->Thickness (Pocket PC) function to change the thickness of a particular wall (for example to change a non-structural wall into a structural cross-wall) or to modify all walls of the same type (i.e. interior or exterior) simultaneously (for example, to change the thickness of all exterior walls from 0.20 m to 0.25 m).


Inserting openings

Inserting an opening is a very simple procedure:

· Select Door or Window by clicking on the appropriate tab,

· Select the Opening Type,

· Select the shape of the opening, i.e. rectangular or curved,

· Specify its dimensions: height, width and sill (or threshold in the case of a door),

· Use the mouse or stylus to place it in a wall.

NOTE: You can use the Snap function to place the opening in the exact centre of a wall, for example.

If you make a mistake, you can delete an opening using the Delete Opening function ( [image] or Drawing->Modify->Delete Opening), or move it with Move Opening ( [image] or Drawing->Modify->Move Opening).

NOTE: To delete a passage (i.e. an opening without a frame fitted into it), simply click on the wall near the opening.

NB: It is not possible to insert an opening in a partial dividing wall.


Dividing a floor into separate rooms

By this stage, you have a circulation diagram of the property. If you prefer, or if your assignment does not include certifying floor areas, you can record your inspection data on this diagram.

However, dividing the property into rooms will enable you to use some effective graphical representation techniques, including separate perspective views for each room.

If you double-click on the project name in the left pane of the screen, ExpertCAD automatically divides the floor into rooms.

NB: Double-clicking on the project name will not automatically divide the floor into rooms if the division function is disabled in the configuration file. For this function to be usable, the ExpertCAD configuration file must contain the following line:
EXPERT_MODE_GENERATE 1

· PC version

· Pocket PC version

When the rooms have been created, clicking the + or - symbol to the left of the Project name shows (+) or hides (-) the Room Tree.

NOTE: Only rooms to which you have assigned a name will be created.


Floor area certification

Open the desired room file and click the on the Area tool [image] (PC) or open the Area menu (Pocket PC) to display the appropriate tool palettes.

· PC version

· Pocket PC version

By default, the elements that you create will be stored on the Area layer.

NOTE: Openings are shown as a thick orange line, accompanied by the dimensions and the name of the adjoining room where applicable.


Editing room outlines

You can use the drawing modification and automatic shaft creation functions to fine-tune or alter a room outline.

· PC version | · Pocket PC version

When you use one of the drawing modification functions, the vertex numbering is calculated automatically and ExpertCAD shows the number of distance measurements to be made in the Message bar. The numbering sequence runs clockwise in ascending order.

NB: If your drawings were produced or edited using the Drawing toolkit, the numbering will not be automatic; you will need to number the vertices using the Numbering [image] tool or the Area->Measurement->Numbering function.


Adding excluded and non-certified areas

You must also draw the outlines of any areas that must be excluded from the total area (e.g. areas with less than 1.80 m headroom), and any non-certified auxiliary areas (e.g. patios).

To instruct ExpertCAD to take such areas into account, you must use the Excluded Area ( [image] or Area->A->A-) and auxiliary Non-Certified Area ( [image] Area->A->Non-Certified) tools. Any such elements will then be displayed in orange or blue, respectively.

NOTE: By default, all elements shown in other colours are included in the certified area.

If you snap to the outline of the room, ExpertCAD uses appropriate symbols to mark the intersection points.

NOTE: This ensures that areas remain attached even after "triangulation".

NOTE: ExpertCAD updates the number of measurements still to be made. In the example above, 31 measurements remain.

You can refresh this value by clicking the Numbering [image] button (PC) or Area->Measurement->Numbering (Pocket PC).

Where parts of a room are less than 1.80 m high, you can use the [image] tool (PC) or Area->A->A<1.80m (Pocket PC) to automatically calculate the portion of the room that must be excluded. To this end, you must measure the ceiling height at three points; ExpertCAD then automatically generates the outline of the sub-1.80 m area, displaying it in orange as an "excluded area".

NOTE: You can use this function several times in the same room, in particular if the ceiling slopes in two directions.


Room setup

With conventional triangulation techniques, the area being surveyed is divided into a series of adjacent triangles, the sides of which are then measured.

With area certification assignments, the floor area can simply be estimated to within the permitted margin of error (+/- 5%). In addition, buildings have numerous geometric properties (including quasi right-angles, parallel walls, etc…) that can be leveraged in order to minimise the number of measurements that must be performed, which in turn decreases the risk of error.

NOTE: This approach remains valid even with older buildings that contain very few right-angles. This is because, at least in small areas, treating an approximate right-angle as a true 90° angle produces only a tiny measuring error, while facilitating the surveyor's task by reducing the number of measurements that must be made.

One approach is to divide the room into basic geometric shapes with easily-calculable areas, such as rectangles, right-angled triangles, etc.

ExpertCAD provides a more comprehensive method in which the user manually or automatically specifies the observed properties (such as right-angles and parallel walls); this is known as setting Constraints. This approach considerably reduces the minimum number of measurements that must be made.

The process of selecting constraints (hereafter referred to as the Setup procedure) can be performed manually, although ExpertCAD also features an automatic constraint setup mode that recognises the right-angles in room drawings, for example.


Automatic angle setup

Automatic angle setup is extremely useful as it reduces the number of measurements to be made by imposing certain characteristics on outlines. To give an example: if a corner is a right-angle, there is no point measuring its diagonal.

Click on the Angle Setup tool ( [image] (PC) or Area->Measurement->Setup (Pocket PC)) and select all the outlines.

NB: Whatever the circumstances, it is essential to call this function at least once, even if you then decide to delete certain constraints that do not appear warranted.

ExpertCAD will indicate any right-angles and the number of measurements still to be made (15 measurements rather than 31, in our example).

Naturally, you can subsequently manually add (and/or delete) other constraints.

NOTE: Angles are considered to be right-angles within a certain tolerance around 90°. The limit of this tolerance is configurable; it is set to 10° by default.

NOTE: To remove an angle constraint, simply delete it using the Delete [image] tool, selecting the symbol that represents the constraint.


Manual setup

ExpertCAD includes three tools for specifying constraints relating to right-angles, parallelism and parallelism at a set distance in the drawing: Area->Measurement->Perpendicularity, [image] Area->Measurement->Parallelism and [image] Area->Measurement->Paral+Distance.

With the Parallelism at a Set Distance tool, you can enter initially any distance value and change it later using the laser meter.

NB: Before you use these functions, you MUST call the Angle Setup function ( [image] (PC) or Area->Measurement->Setup (Pocket PC)) at least once, even if you then decide to delete certain constraints that do not appear warranted.


Obstructed corners

If a corner of a room is obstructed, preventing you from making a measurement, ExpertCAD offers the following workaround solution:

· Identify two points on the two walls that meet in the obstructed corner

· "Triangulate" these points by making two measurements for each of them.

· ExpertCAD can then deduce the orientation of the walls and the exact location of the corner.

To create these two additional measurement points on the walls adjoining the obstructed corner, use the Point on Wall tool [image] (PC) Area->Measurement->Point on Wall(Pocket PC).


Making measurements

Check that the link with the laser meter is correctly configured before use. To do this, open the Help menu (?) and select Setup.

The following dialog box is displayed:

Select the type of laser meter that you are using:

· A6, if you use a Leica Disto A6,

· Disto+, if you use a Leica Disto Plus,

· DLE, if you use a Bosch DLE 150 Connect,

· PD38, if you use a Hilti PD38.

If the laser meter is connected to a COM port other than COM1, you must also enter the COM port number in the relevant field. To avoid the need to reconfigure the system the next time you use ExpertCAD, you should change the DISTO_PORT_COM setting in the configuration file, i.e. ExpertCAD.cfg (on a PC) or ExpertCAD.txt (on a Pocket PC).

Connect the laser meter and switch it on.

If you use a wireless device with a Bluetooth connection, follow the manufacturer's instructions.

Before you can start making measurements with the laser meter, you must initialise communication between the computer and the laser meter by clicking the [image] button (on a PC) or selecting Area->Init->Init Laser (on a Pocket PC).

A message confirming that the system is operating correctly is displayed in the Message bar.

You can transfer measurements to the drawing using the Distance tool: (PC) or Area->Measurement->Length (Pocket PC).

You can designate a segment directly, or use the snap function and then select the vertices between which you want to measure the distance (used for diagonals). Alternatively, you can specify the vertex numbers.

On a PC or Tablet PC, you make a laser meter measurement by pressing the [image] button in ExpertCAD or the Measure button on the laser meter.

With a Pocket PC, you must press the Measure button on the laser meter.

NB: If you use a Leica Disto Plus, when you have made a measurement you must press one of the arrow buttons to send the measurement to the computer (unless you used the button in ExpertCAD to make the measurement).

The measurement value is automatically included in ExpertCAD with no further user interaction.

If you make a mistake you can cancel a measurement using the Undo [image] tool.

Clicking the Help button opens the Measurement Wizard.

ExpertCAD then lists the possible measurements. These are referenced by vertex number.

Click on the desired measurement and use the laser meter to make the reading.

As you make your measurements, ExpertCAD displays the number of measurements still to be made in the Message bar. You can manually update this number by clicking the [image] button (PC) or Area->Measurement->Numbering (Pocket PC).

When you have made the final measurement, ExpertCAD performs the "triangulation" process and displays the certified and non-certified areas in the Message bar.

NOTE: It is also possible to display the certified and non-certified areas by clicking the Certified and Non-Certified Areas tool [image] (PC) or selecting Area->A->A? (Pocket PC).

You can also use this tool to annotate the room plan with floor area information.


Generating areas with less than 1.80 m headroom

If one or more rooms contain low-ceilinged areas, ExpertCAD is able to automatically generate the parts that are less than 1.80 m high when "Triangulation" is complete. These sections can then be excluded from the certified floor area.

This is achieved using the Sub-1.80m Area tool [image] (PC) Area->A->A<1.80m (Pocket PC). You can then simply measure the height of the low-ceilinged area to enable ExpertCAD to generate the outline of the sub-1.80m part of the room.

If the ceiling has several slopes, you can repeat the procedure for each slope, which will generate several excluded areas.

NOTE: It is also possible to generate the parts of rooms with headroom below a value other than 1.80 m. This is achieved by configuring the EXPERT_AREA_INF parameter in the configuration file.


Asbestos, accessible lead and parasite inspection assignments

Click on the Inspection [image] tool (PC) or open the Inspection menu (Pocket PC) to display the Inspection tool palette.

· PC version | · Pocket PC version

By default, the elements that you create will be stored on the Inspection layer.

To facilitate your work, you can hide the Area and Constraints layers by activating the Layer Management dialogue box.

· PC version

· Pocket PC version

With ExpertCAD, the measurements made in the course of an inspection assignment are pinpointed in order to produce an inspection diagram that can be included in your assignment report.

To make your inspection diagram easier to interpret, you can generate a perspective view (pseudo-photograph) of the room, using the Perspective tool: (PC) or Inspection->Tools->Perspective (Pocket PC). This produces a view in which the vertical walls and openings are also represented.

The walls in the room are identified by letters (assigned alphabetically in a clockwise sequence).

To identify a measurement, select the appropriate tool for your assignment (Lead, Asbestos or Termites). A dialogue box is displayed when the measurement has been located on the drawing.

The symbol scheme used for the inspection feature allows the diagram to be interpreted even in monochrome. It is based on the use of different shapes and line thicknesses:

· Diamond: presence + damage

· Thick red line: presence

· Circle: no damage

· Thin green line: absence

· Orange dotted line: sample


Lead inspection

The lead measurement symbol is shown in either red (if the measured value is >1) or green, depending on the value entered.

The symbols corresponding to the various measurements are numbered automatically (to ensure that the numbers are unique for each room), although it is possible to change them in the related field.

There is no need to complete all the fields.

NOTE: When you stop the mouse on a measure, a window appears reminding the information entered for this measurement.


Asbestos inspections

NOTE: When you stop the mouse on a measure, a window appears reminding the information entered for this measurement.


Parasite inspection

NOTE: When you stop the mouse on a measure, a window appears reminding the information entered for this measurement.


Assembling rooms

· Assembly on a PC

· Assembly on a Pocket PC


Assembly Stage 1

Click on the Assembly 1 tool ( [image] (PC) or Drawing->Tools->Assembly->Assembly 1(Pocket PC)). Select the wall representing the complete floor.

Confirm the transfer of the wall to the Draft layer.

NB: If you delete the initial wall, you will not be able to perform the assembly procedure.

ExpertCAD then assembles the various rooms. At this stage, you can still modify drawings (e.g. by moving elements) or even add other rooms.

NB: Only the length measurements are retrieved (not the other constraints).

NOTE: If it is not possible to assemble all the pieces in one set, different groups of disjoint rooms are presented side by side.


Assembly stage 2

The second stage in the assembly process creates a new representation of the walls.

Click on the Generate Exterior Outline tool ( [image] (PC) or Drawing->Tools->Assembly->Exterior (Pocket PC)) and select all the outlines that must be included when the building's exterior outline is created.

If you are satisfied with the exterior outline thus created, you can move on directly to the Assembly 2 procedure.

If you want to make any changes, use the editing tools and then click on the Assembly 2 tool ( [image] (PC) or Drawing->Tools->Assembly->Assembly 2 (Pocket PC)) and select all the outlines that must be included in order to create the wall.

NB: The assembly operation is based on the openings. If you want a "perfect" assembly fit, you must measure the openings in each room. This is entirely possible but quite time-consuming. Consequently, we recommend entering an approximate position when you create the sketch.

During the measured survey, there are bound to be a few distortions that you can correct "by hand", i.e. by moving any room outlines that are not in exactly the right place (using the Drawing / Move tool after performing the first stage of the Assembly process). This operation takes only a few seconds and gives perfect results.

You can use the editing tools to "correct" the resulting representation.

NOTE: To make the drawings thus obtained easier to work with, you can combine them into a "group" (i.e. an object containing several elements). Simply select the Drawing->Group->Create menu option.

An example of the onscreen representation is shown below.


Using area data in other applications

You can now export certified and non-certified area data to your usual reporting application, by clicking the appropriate Export Areas [image] tool in the System tool bar (PC) or selecting File->Export->Export Areas (Pocket PC).
Use the Area + opening option to export an areas file and an openings file. Then four options are available to select the contents of the export:

- Current floor, to export the current floor,
- All floors, to export all the floors,
- Lot, to export one lot,
- All lots, to export all the lots.

two files are generated by ExpertCAD in the ExpertCAD\Export directory:
. areas file : affaire.txt,
. and openings file : affaireouverture.txt.

Import files in Excel

Measurix provides an area certification template, in the form of an Excel worksheet named area.xls, which is installed in the C:\ExpertCAD\bin directory (if you accepted the default automatic installation settings). You can use this worksheet to automatically retrieve and format the necessary surface area data.

To do so, copy the area.xls Excel file to the C:\ExpertCAD\projects directory, renaming it with the same name as the exported area data file (but with the .xls suffix).

Open the file in Excel, accepting the loading and execution of macros when prompted, click on Areas tab, click on the Measurix icon and then choose the file if necessary. The chart is automatically filled in.
Repeat the same procedure in the opening tab with the generated openings file to complete the openings table.

Openings table

Quantities table


Producing sketch diagrams and drawings for reports

ExpertCAD lets you print drawings and create drawings in Windows Extended Meta File (EMF) format, allowing them to be imported into Microsoft Office and many other applications.

Configure the display settings (Zoom, Move, Show Layers) and then click the EMF [image] button in the System tool bar.

In Microsoft Word, for example, you will be able to use the Insert->Picture->From File menu option.


Working with curves

Measurix lets you work with curves in all Drawing, Area and Inspection modules.

· Drawing curves

· Area certification for curved rooms

· Inspections in curved rooms


Drawing curves

Measurix includes four arc creation tools to help you draw curves:

Produce a sketch of the property in the normal way.

You can then create walls and insert openings, as with straight walls.

· How to make a rounded corner

· How to insert a curve in a wall


Rounding a corner

To round a corner, use the [image] tool.

Enter the curve radius and left mouse-click on the corner that you want to round.


Inserting a curve in a wall

To insert a curve in a wall, use the [image] tool.

Select the wall in which the curve is to be included, and then enter 3 points as shown in the diagram below, i.e. the two ends of the arc and a third point indicating its curvature.


Area certification for curved rooms

Curved rooms are dealt with in the same way as rooms with straight walls; the curved sections are obtained by recording the two ends of the curve and a point along its length.

(This is an application of the standard method that approximates an arc using two linear segments).

Number the vertices and then use the Angle AutoSetup [image] tool.

Measurix will recognise any right-angles and add a numbered measurement point to the curves. This "extra" point enables ExpertCAD to determine the radius of the curve.

Measurix will then indicate the number of distance measurements to be made in the Message bar.

NOTE: The accuracy with which points are positioned at the joins between curved and straight sections of wall does not have a major impact on the end result. Just remember to identify these points with a "Post-It" note or equivalent if you need to use the points for multiple measurements.


Inspections in curved rooms

In curved rooms, the inspection procedure is carried out in essentially the same way as in rooms with straight walls.

The curved portions are also automatically assigned a reference letter.


Chronological order of actions in an assignment not involving area certification

· Create a project

· Enter the sketch diagram of the property:

§ Draw a sketch of the property

§ Name the rooms

§ Insert the openings

· Divide the floor into separate rooms

· Automatically configure the room drawings

· Record any problems, in the case of asbestos, accessible lead and parasite inspection assignments

· Assemble the rooms

· Produce diagrams and drawings for the assignment report

The basic approach is the same with assignments not involving the certification of floor areas.

Naturally, you will not be using the area-related tools, but it is still useful to be able to divide a floor into rooms.

This feature lets you use the AutoSetup function to "fix" drawings and edit them directly by changing dimensions (without necessarily using the drawing functions). Refer to the Room drawing AutoSetup tools page for more information on this subject.

You will also be able to produce perspective drawings for inspection assignments.


Contacting Measurix Technical Support

If you experience any problems while using ExpertCAD, please contact the Measurix Technical Support department via the following Internet address:

http://www.measurix.com


Installing ExpertCAD on PocketPC

Installing ExpertCAD

Note that Measurix only guarantees that ExpertCAD will work with the Tripod on the following Hewlett Packard and Acer Pocket PCs:

· HP IPAQ 2410, 2750, 2790, 4150 & 4700,

· Acer N 311,

· QWX MID-70.

This list may be revised and updated. For the latest compatibility information, please refer to our website: http://www.measurix.com

System requirements for running ExpertCAD on your Pocket PC:

· Microsoft Windows Mobile 2003 or Microsoft Windows Mobile 5.0

· 64 Mb RAM

ExpertCAD is installed on your Pocket PC from a host desktop PC, on which Microsoft Activesync must be installed. Follow your Pocket PC supplier's instructions on this subject.

Place your Pocket PC in its docking station or connect it to your desktop PC.

Check that the ActiveSync connection is correctly established.

• Installing ExpertCAD from the CD-ROM

1. Place the ExpertCAD CD-ROM in the CD-ROM drive on your desktop PC. If the PC installation procedure starts automatically, interrupt the procedure and use Windows Explorer to access the CD-ROM.

2. Run the setup program ExpertCAD-PPC-X.Y.Z.exe (where X, Y and Z are the numbers representing the available version) from the CD-ROM.

3. Follow the installation procedure, confirming the default settings.

4. The process concludes by installing the necessary software on your Pocket PC.

• Installing ExpertCAD from the Internet site

1. Download the Pocket PC installation setup file from the Download section in your Personal Workspace.

2. Follow steps 2, 3 and 4 described above.

NOTE: When you have installed the software on your Pocket PC and entered the activation codes, we recommend making a full backup using the Start->Programs->Backup function. Select the Backup Now option and then follow the onscreen instructions.


Installing ExpertCAD on PC

Installing ExpertCAD

Installing ExpertCAD is child's play. Simply follow the instructions in the automatic installation procedure. If you confirm the default settings you will soon be ready to start work!

• System Requirements

In order to use ExpertCAD, your system must satisfy the following conditions:

· Microsoft Windows XP™ or above

· 256 Mb RAM

· 110 Mb free hard disk space.

• Installing ExpertCAD from the CD-ROM

1.Start Windows.

2.Place the ExpertCAD CD-ROM in your CD-ROM drive. The installation procedure will begin automatically as soon as your drive is ready.

3. Follow the installation procedure, confirming the default settings.

NOTE: If the installer program does not run automatically, follow the procedure below:

1.Open Windows Explorer and double-click on the file ExpertCAD-PC-X.Y.Z.exe (where X, Y and Z are the numbers representing the available version) from the CD-ROM. The automatic installation procedure will then begin.

2. Follow the installation procedure, confirming the default settings.

• Installing ExpertCAD from our Internet site

1.Log in to your Personal Workspace on our Internet site (http://www.measurix.com).

2.Download the ExpertCAD PC installation file from the Download section.

3.Run the setup file ExpertCAD-PC-X.Y.Z.exe (where X, Y and Z are the numbers representing the available version) when downloading is complete. The automatic installation procedure will then begin.

4. Follow the installation procedure, confirming the default settings.

• If ExpertCAD is already installed on your computer, you can also download software updates from our website:

- Either via the Autoupdate feature, if you enabled it when you installed ExpertCAD (in which case ExpertCAD will update itself transparently with no need for intervention).

- Or else by downloading any updates from the Download section in your Personal Workspace.

• If you have a software activation key (or "dongle"), please follow the instructions on the next page.


How to enter a Point on PocketPC

How to enter a Point

When you draw, you will need to enter points, such as the two ends of a line, for example.

ExpertCAD lets you record points in three ways:

· Use the stylus to enter a point by clicking directly on the view.

If the view's grid is active (i.e. if the Grid button is depressed), the point actually created will be the grid location closest to the mouse pointer. The input resolution is 1/5th of the grid resolution. Thus, if the grid has an interval of 1 m, the input interval will be 20 cm.

· Use the virtual keyboard to enter the coordinates of a point in the Input field. The X and Y coordinates must be separated by a comma.

· Snap to an existing element, by pressing and holding the stylus over the element on the screen. A blue animation is displayed, indicating that the Snap function has been enabled. You can use the Snap function to link to the ends or centre of lines, intersections, etc.


How to enter a Point on PC

How to enter a Point

When you draw, you will need to enter points, such as the two ends of a line, for example.

ExpertCAD lets you record points in three ways:

· Use the mouse to enter a point, by left-clicking directly on the view.

If the view's grid is active (i.e. if the Grid button is depressed), the point actually created will be the grid location closest to the mouse pointer. The input resolution is 1/5th of the grid resolution. Thus, if the grid has an interval of 1 m, the input interval will be 20 cm.

The coordinates of the created point are as shown in the Status bar.

· Use the keyboard or number pad to enter the coordinates of a point in the Input field. The X and Y coordinates must be separated by a comma.

· Snap to an existing element by right-clicking on it. When the mouse pointer is moved over an element, its appearance changes and it indicates the available snap point: end, middle, intersection, etc.


Room assembly: Stage 1

When you have completed your assignment in each room, open the Room Tree view by clicking the [image] button. Double-click on the project name to load the corresponding project file.

Select the Drawing menu. Then select the Tools->Assembly->Assembly 1 function and select the wall that represents the complete floor.

Confirm the transfer of the wall to the Draft layer.

NB: If you delete the initial wall, you will not be able to perform the assembly procedure.

ExpertCAD then assembles the various rooms. At this stage, you can still modify drawings (e.g. by moving elements) or even add other rooms.

NB: Only the length measurements are retrieved (not the other constraints).


Room assembly

When you have completed your assignment in each room, save the rooms after hiding the Inspection, Area and Constraints layers (unless you want this information to appear on the master plan of the property).

Open the view that corresponds to the project, for example via the Window menu.

Re-enable the Drawing tool palettes by clicking the Drawing tool


Using the mouse on PocketPC

Using the mouse

In a graphical application, most user interaction involves the mouse.

With ExpertCAD, you can use the mouse to perform four types of action:

· Enter a point to draw in a view,

· Select an element to which to apply a function (e.g. selecting an element that you want to delete).

These actions are performed simply by clicking the left mouse button ("left-clicking").

· Open a contextual menu,

· Snap to a feature in a drawing, such as the end or centre of a line, a point of intersection, etc.

These actions are performed by clicking the right mouse button ("right-clicking").